Bug 1030988 - [abrt] WARNING: CPU: 0 PID: 4992 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[abrt] WARNING: CPU: 0 PID: 4992 at fs/sysfs/group.c:214 sysfs_remove_group+0...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
:
: 1066259 1071525 1102531 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 07:58 EST by Michael Schwendt
Modified: 2015-08-26 20:08 EDT (History)
155 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-05 09:42:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (75.37 KB, text/plain)
2013-11-15 07:58 EST, Michael Schwendt
no flags Details
/var/log/messages containing traceback (242.67 KB, text/plain)
2014-03-15 12:31 EDT, Peter H. Jones
no flags Details
dmesg with 3.13.6-200.fc20.x86_64 and removal of a Digitech USB device (120.54 KB, text/plain)
2014-03-23 09:39 EDT, Mauro Carvalho Chehab
no flags Details

  None (edit)
Description Michael Schwendt 2013-11-15 07:58:09 EST
Additional info:
reporter:       libreport-2.1.9
WARNING: CPU: 0 PID: 4992 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81d13180 not found for kobject 'target6:0:0'
Modules linked in: tcp_lp usb_storage nfsd auth_rpcgss nfs_acl lockd sunrpc fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE bnep bluetooth rfkill ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw nls_utf8 isofs loop dm_crypt coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support microcode snd_hda_codec_hdmi serio_raw i2c_i801 8139too lpc_ich snd_hda_codec_realtek mfd_core 8139cp snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device r8169 snd_pcm mii snd_page_alloc snd_timer snd soundcore shpchp acpi_cpufreq radeon ata_generic pata_acpi i2c_algo_bit drm_kms_helper ttm pata_jmicron drm i2c_core
CPU: 0 PID: 4992 Comm: cryptsetup Not tainted 3.13.0-0.rc0.git2.1.fc21.x86_64 #1
Hardware name: MICRO-STAR INTERNATIONAL CO.,LTD MS-7519/P45T-C51 (MS-7519), BIOS V2.1 07/13/2009
 0000000000000009 ffff8800ad833880 ffffffff8173b150 ffff8800ad8338c8
 ffff8800ad8338b8 ffffffff8107441d 0000000000000000 ffffffff81d13180
 ffff880091ca6f98 ffff8800ad8602c8 ffff880095728148 ffff8800ad833918
Call Trace:
 [<ffffffff8173b150>] dump_stack+0x4d/0x66
 [<ffffffff8107441d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8107448c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8173f87e>] ? mutex_unlock+0xe/0x10
 [<ffffffff81277cf0>] ? sysfs_get_dirent_ns+0x50/0x70
 [<ffffffff81279026>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff81493463>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81488f75>] device_del+0x45/0x1d0
 [<ffffffff814b5777>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff814b5750>] ? scsi_target_destroy+0xc0/0xc0
 [<ffffffff81097559>] execute_in_process_context+0x99/0xb0
 [<ffffffff814b6caf>] scsi_target_reap+0xcf/0x100
 [<ffffffff814b8bae>] scsi_device_dev_release_usercontext+0xee/0x130
 [<ffffffff814b8ac0>] ? scsi_device_cls_release+0x20/0x20
 [<ffffffff81097559>] execute_in_process_context+0x99/0xb0
 [<ffffffff814b8a9c>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81488582>] device_release+0x32/0xa0
 [<ffffffff81370547>] kobject_cleanup+0x77/0x1b0
 [<ffffffff813703f5>] kobject_put+0x35/0x70
 [<ffffffff814888b7>] put_device+0x17/0x20
 [<ffffffff814ab04b>] scsi_device_put+0x3b/0x50
 [<ffffffff814bd792>] scsi_disk_put+0x32/0x50
 [<ffffffff814bdac2>] sd_release+0x42/0xd0
 [<ffffffff812317fc>] __blkdev_put+0x17c/0x1b0
 [<ffffffff8123179c>] __blkdev_put+0x11c/0x1b0
 [<ffffffff812321b0>] blkdev_put+0x50/0x160
 [<ffffffff81593ddb>] close_dev.isra.8+0x3b/0x50
 [<ffffffff815940e6>] dm_put_device+0x36/0x50
 [<ffffffffa033bff2>] crypt_dtr+0x122/0x160 [dm_crypt]
 [<ffffffff815945f8>] dm_table_destroy+0x68/0xf0
 [<ffffffff81591a64>] __dm_destroy+0x124/0x290
 [<ffffffff81592953>] dm_destroy+0x13/0x20
 [<ffffffff815983af>] dev_remove+0x9f/0x140
 [<ffffffff81598310>] ? __hash_remove+0x90/0x90
 [<ffffffff81598868>] ctl_ioctl+0x278/0x520
 [<ffffffff812f0812>] ? SYSC_semtimedop+0x3b2/0xfb0
 [<ffffffff812f06d8>] ? SYSC_semtimedop+0x278/0xfb0
 [<ffffffff81598b23>] dm_ctl_ioctl+0x13/0x20
 [<ffffffff812066e5>] do_vfs_ioctl+0x305/0x530
 [<ffffffff81308a3b>] ? selinux_file_ioctl+0x5b/0x110
 [<ffffffff81206991>] SyS_ioctl+0x81/0xa0
 [<ffffffff8174dca9>] system_call_fastpath+0x16/0x1b
Comment 1 Michael Schwendt 2013-11-15 07:58:24 EST
Created attachment 824520 [details]
File: dmesg
Comment 2 Josh Boyer 2013-12-16 10:11:04 EST
Are you still seeing this with 3.13-rc4?
Comment 3 Nicolas Mailhot 2014-01-13 14:36:19 EST
WARNING: CPU: 1 PID: 31744 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81d14fa0 not found for kobject 'target10:0:0'
Modules linked in: vfat fat fuse cfg80211 rfkill nf_conntrack_ipv4 ip6t_REJECT nf_conntrack_ipv6 xt_conntrack nf_conntrack ip6table_filter xt_socket nf_defrag_ipv6 nf_defrag_ipv4 xt_mark iptable_mangle ip6table_mangle ip6_tables snd_hda_codec_hdmi coretemp kvm_intel tuner_simple tuner_types kvm snd_hda_codec_realtek iTCO_wdt wm8775 snd_emu10k1 snd_hda_intel iTCO_vendor_support gpio_ich snd_hda_codec tda9887 tda8290 snd_util_mem snd_hwdep tuner snd_rawmidi snd_ac97_codec ac97_bus cx25840 joydev snd_seq radeon microcode ivtv snd_seq_device snd_pcm tveeprom cx2341x v4l2_common serio_raw videodev media i2c_i801 lpc_ich mfd_core i2c_algo_bit ttm drm_kms_helper drm tpm_tis snd_page_alloc tpm_infineon snd_timer snd soundcore tpm shpchp acpi_cpufreq raid1 ata_generic pata_acpi firewire_ohci firewire_core usb_storage crc_itu_t r8169 mii pata_jmicron i2c_dev i2c_core
CPU: 1 PID: 31744 Comm: umount Not tainted 3.13.0-0.rc7.git5.1.fc21.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. EP45-DS5/EP45-DS5, BIOS F12 09/30/2008
 0000000000000009 ffff8800cb37fb40 ffffffff81765904 ffff8800cb37fb88
 ffff8800cb37fb78 ffffffff81078a6d 0000000000000000 ffffffff81d14fa0
 ffff880122564130 ffff880036d82410 ffff880036ffe8f8 ffff8800cb37fbd8
Call Trace:
 [<ffffffff81765904>] dump_stack+0x4d/0x66
 [<ffffffff81078a6d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff81078adc>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff8176c06e>] ? mutex_unlock+0xe/0x10
 [<ffffffff81289b00>] ? sysfs_get_dirent_ns+0x50/0x70
 [<ffffffff8128ae36>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff814b2a03>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff814a8515>] device_del+0x45/0x1d0
 [<ffffffff814d6527>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff814d6500>] ? scsi_target_destroy+0xc0/0xc0
 [<ffffffff8109aca9>] execute_in_process_context+0x99/0xb0
 [<ffffffff814d7a5f>] scsi_target_reap+0xcf/0x100
 [<ffffffff814d9a7e>] scsi_device_dev_release_usercontext+0xee/0x130
 [<ffffffff814d9990>] ? scsi_device_dev_release+0x20/0x20
 [<ffffffff8109aca9>] execute_in_process_context+0x99/0xb0
 [<ffffffff814d998c>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff814a7b22>] device_release+0x32/0xa0
 [<ffffffff81388557>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81388405>] kobject_put+0x35/0x70
 [<ffffffff814a7e57>] put_device+0x17/0x20
 [<ffffffff814cb83b>] scsi_device_put+0x3b/0x50
 [<ffffffff814de682>] scsi_disk_put+0x32/0x50
 [<ffffffff814de9b2>] sd_release+0x42/0xd0
 [<ffffffff8124188c>] __blkdev_put+0x17c/0x1b0
 [<ffffffff8124182c>] __blkdev_put+0x11c/0x1b0
 [<ffffffff81242240>] blkdev_put+0x50/0x160
 [<ffffffff81201f74>] kill_block_super+0x44/0x70
 [<ffffffff8120237d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff81202936>] deactivate_super+0x46/0x60
 [<ffffffff81224e9d>] mntput_no_expire+0x17d/0x1f0
 [<ffffffff81224d37>] ? mntput_no_expire+0x17/0x1f0
 [<ffffffff8122671e>] SyS_umount+0x8e/0x100
 [<ffffffff81778529>] system_call_fastpath+0x16/0x1b
Comment 4 Igor Gnatenko 2014-01-26 07:10:51 EST
Got this with 3.13 release. Seems that people getting this with 3.14.0-0.rc0.git1.2.fc21.

https://retrace.fedoraproject.org/faf/reports/282991/
Comment 5 Igor Gnatenko 2014-01-26 07:20:04 EST
WARNING: CPU: 0 PID: 8625 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb0680 not found for kobject 'target6:0:0'
Modules linked in: usb_storage rfcomm ccm fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw iTCO_wdt iTCO_vendor_support vfat fat snd_hda_codec_hdmi snd_hda_codec_realtek x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_intel snd_hda_codec snd_hwdep snd_seq crct10dif_pclmul snd_seq_device arc4 crc32_pclmul snd_pcm crc32c_intel iwldvm ghash_clmulni_intel microcode mac80211 uvcvideo cdc_mbim serio_raw videobuf2_vmalloc videobuf2_memops i2c_i801 cdc_ncm btusb videobuf2_core usbnet videodev bluetooth iwlwifi media cfg80211 mii sdhci_pci sdhci cdc_wdm cdc_acm mmc_core snd_page_alloc lpc_ich mfd_core shpchp snd_timer mei_me mei wmi thinkpad_acpi snd soundcore rfkill tpm_tis tpm nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 0 PID: 8625 Comm: umount Not tainted 3.13.0-1.fc21.x86_64 #1
Hardware name: LENOVO 3444FHG/3444FHG, BIOS G6ET96WW (2.56 ) 04/29/2013
 0000000000000009 ffff880040923b70 ffffffff81685ffa ffff880040923bb8
 ffff880040923ba8 ffffffff8106d5ed 0000000000000000 ffffffff81cb0680
 ffff8801e4439838 ffff880040b89188 ffff88020810c100 ffff880040923c08
Call Trace:
 [<ffffffff81685ffa>] dump_stack+0x45/0x56
 [<ffffffff8106d5ed>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d65c>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff812308ae>] ? sysfs_get_dirent_ns+0x4e/0x70
 [<ffffffff81231b76>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff8141d7a3>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff814134f5>] device_del+0x45/0x1c0
 [<ffffffff8143e767>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff81086437>] execute_in_process_context+0x67/0x70
 [<ffffffff8143fbe4>] scsi_target_reap+0xc4/0xf0
 [<ffffffff81441bb6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff81086437>] execute_in_process_context+0x67/0x70
 [<ffffffff81441acc>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81412b42>] device_release+0x32/0xa0
 [<ffffffff81315f87>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81315e35>] kobject_put+0x35/0x70
 [<ffffffff81412e37>] put_device+0x17/0x20
 [<ffffffff814342cb>] scsi_device_put+0x3b/0x50
 [<ffffffff81446760>] scsi_disk_put+0x30/0x50
 [<ffffffff81446a92>] sd_release+0x42/0xd0
 [<ffffffff811f12ec>] __blkdev_put+0x16c/0x1a0
 [<ffffffff811f128e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff811f1c2c>] blkdev_put+0x4c/0x120
 [<ffffffff811badb4>] kill_block_super+0x44/0x70
 [<ffffffff811bb07d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811bb626>] deactivate_super+0x46/0x60
 [<ffffffff811d72fc>] mntput_no_expire+0xac/0x140
 [<ffffffff811d876e>] SyS_umount+0x8e/0x100
 [<ffffffff81694fe9>] system_call_fastpath+0x16/0x1b
Comment 6 Igor Gnatenko 2014-01-26 07:43:24 EST
Submitted to KBZ.

https://bugzilla.kernel.org/show_bug.cgi?id=69441
Comment 7 Christian Kujau 2014-02-20 19:28:26 EST
Happens here when I unplug a wireless USB dongle, see bug 1066259
Comment 8 Hans de Goede 2014-02-21 07:12:17 EST
Description of problem:
I *think* this happened when I unplugged a usb-stick with a mounted filesystem on it, which means this is likely a known issue in the scsi subsys which has been fixed for 3.14 .

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.12
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.14.0-0.rc1.git4.1.fc21.x86_64 root=UUID=85b48b3e-e8ba-451b-800a-63609fcb77cb ro rd.md=0 rd.dm=0 rd.luks=0 rd.lvm.lv=BigVol2/lv_swap vconsole.font=latarcyrheb-sun16 locale.LANG=en_US.UTF-8 vconsole.keymap=us quiet rhgb usbhid.quirks=0x0bf8:0x101a:0x4 udev.children-max=10000 LANG=en_US.UTF-8
kernel:         3.14.0-0.rc1.git4.1.fc21.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 18350 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81d160a0 not found for kobject 'target9:0:0'
Modules linked in: nls_utf8 vfat fat isofs fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw sch5636 sch56xx_common snd_usb_audio snd_usbmidi_lib snd_rawmidi iTCO_wdt gpio_ich iTCO_vendor_support ppdev snd_hda_codec_hdmi snd_hda_codec_conexant snd_hda_codec_generic x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul ghash_clmulni_intel microcode tuner_simple tuner_types tuner msp3400 bttv serio_raw i2c_i801 btcx_risc snd_hda_intel snd_hda_codec tveeprom videobuf_dma_sg videobuf_core snd_bt87x snd_hwdep snd_seq snd_seq_device rc_core v4l2_common snd_pcm lpc_ich mfd_core videodev media snd_timer snd soundcore shpchp e1000e ptp pps_core parport_pc parport tpm_infineon tpm_tis tpm binfmt_misc usb_storage crc32c_intel i915 video i2c_algo_bit drm_kms_helper drm i2c_core
CPU: 1 PID: 18350 Comm: umount Not tainted 3.14.0-0.rc1.git4.1.fc21.x86_64 #1
Hardware name: FUJITSU D3071-S1/D3071-S1, BIOS V4.6.4.0 R1.12.0.SR.4 for D3071-S1x 05/03/2013
 0000000000000000 000000005922c2e0 ffff8801b7ca1b70 ffffffff817cf14d
 ffff8801b7ca1bb8 ffff8801b7ca1ba8 ffffffff810967cd 0000000000000000
 ffffffff81d160a0 ffff88020f3e1038 ffff880095c0c2d0 ffff88002757d148
Call Trace:
 [<ffffffff817cf14d>] dump_stack+0x4d/0x66
 [<ffffffff810967cd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8109684c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff817d5d4e>] ? mutex_unlock+0xe/0x10
 [<ffffffff812bf3ca>] ? kernfs_find_and_get_ns+0x4a/0x60
 [<ffffffff812bdcf3>] sysfs_remove_group+0x93/0xa0
 [<ffffffff815006b3>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff814f5ad5>] device_del+0x45/0x1d0
 [<ffffffff81525c67>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff81525c40>] ? scsi_target_destroy+0xc0/0xc0
 [<ffffffff810bb409>] execute_in_process_context+0x99/0xb0
 [<ffffffff8152719f>] scsi_target_reap+0xcf/0x100
 [<ffffffff8152920e>] scsi_device_dev_release_usercontext+0xee/0x130
 [<ffffffff81529120>] ? scsi_device_dev_release+0x20/0x20
 [<ffffffff810bb409>] execute_in_process_context+0x99/0xb0
 [<ffffffff8152911c>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff814f5042>] device_release+0x32/0xa0
 [<ffffffff813c9317>] kobject_cleanup+0x77/0x1b0
 [<ffffffff813c91c8>] kobject_put+0x28/0x60
 [<ffffffff814f53a7>] put_device+0x17/0x20
 [<ffffffff81519b8b>] scsi_device_put+0x3b/0x50
 [<ffffffff81534f2a>] scsi_cd_put+0x3a/0x60
 [<ffffffff81534f88>] sr_block_release+0x38/0x50
 [<ffffffff8127681c>] __blkdev_put+0x17c/0x1b0
 [<ffffffff81277220>] blkdev_put+0x50/0x160
 [<ffffffff81235954>] kill_block_super+0x44/0x70
 [<ffffffff81235d9d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff81236376>] deactivate_super+0x46/0x60
 [<ffffffff812584fd>] mntput_no_expire+0x17d/0x1f0
 [<ffffffff81258397>] ? mntput_no_expire+0x17/0x1f0
 [<ffffffff81259e5d>] SyS_umount+0x9d/0x110
 [<ffffffff817e2fa9>] system_call_fastpath+0x16/0x1b
Comment 9 Peter H. Jones 2014-02-21 11:37:12 EST
Got it when I hibernated with a USB disk attached and mounted with no files active AFAIK. A wifi connection was active.

I restarted with the disk not attached and got the bug. The wifi connection was different when I restarted.

My kernel is 3.13.3-201.fc20.x86_64 #1 SMP .
Comment 10 Tony 2014-02-24 18:43:11 EST
Linux furnace.msnomer.com 3.13.3-201.fc20.x86_64

Disconnected a Logitech Unifying Receiver from a USB 2.0 hub connected to the machine.

[70609.229927] usb 1-1.6.7: USB disconnect, device number 55
[70609.244802] ------------[ cut here ]------------
[70609.244808] WARNING: CPU: 0 PID: 1679 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[70609.244809] sysfs group ffffffff81cb06e0 not found for kobject 'hidraw4'
[70609.244810] Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast bnep bluetooth ip6t_rpfilter ip6t_REJECT xt_conntrack cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support eeepc_wmi asus_wmi sparse_keymap rfkill mxm_wmi x86_pkg_temp_thermal coretemp kvm_intel kvm crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel uvcvideo videobuf2_vmalloc microcode videobuf2_memops videobuf2_core videodev media snd_hda_intel joydev snd_hda_codec snd_usb_audio
[70609.244832]  snd_usbmidi_lib snd_hwdep snd_rawmidi snd_seq serio_raw snd_seq_device snd_pcm i2c_i801 snd_page_alloc lpc_ich mfd_core snd_timer snd soundcore e1000e mei_me mei ptp pps_core shpchp wmi nfsd auth_rpcgss nfs_acl lockd sunrpc hid_logitech_dj i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[70609.244845] CPU: 0 PID: 1679 Comm: upowerd Tainted: G        W    3.13.3-201.fc20.x86_64 #1
[70609.244846] Hardware name: System manufacturer System Product Name/P8Z77-V PRO, BIOS 2104 08/13/2013
[70609.244847]  0000000000000009 ffff8803eb533d20 ffffffff81686b48 ffff8803eb533d68
[70609.244849]  ffff8803eb533d58 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
[70609.244850]  ffff88039e746c10 ffff8800bc63b8e8 ffff88040726a2a0 ffff8803eb533db8
[70609.244851] Call Trace:
[70609.244856]  [<ffffffff81686b48>] dump_stack+0x45/0x56
[70609.244859]  [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[70609.244861]  [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[70609.244863]  [<ffffffff81230ace>] ? sysfs_get_dirent_ns+0x4e/0x70
[70609.244864]  [<ffffffff81231d96>] sysfs_remove_group+0xc6/0xd0
[70609.244866]  [<ffffffff8141dba3>] dpm_sysfs_remove+0x43/0x50
[70609.244869]  [<ffffffff814138f5>] device_del+0x45/0x1c0
[70609.244870]  [<ffffffff81413a8e>] device_unregister+0x1e/0x60
[70609.244872]  [<ffffffff81413b4c>] device_destroy+0x3c/0x50
[70609.244874]  [<ffffffff81541cc7>] drop_ref.part.2+0x57/0x70
[70609.244875]  [<ffffffff815425ea>] hidraw_release+0x7a/0x90
[70609.244878]  [<ffffffff811ba63c>] __fput+0xdc/0x230
[70609.244879]  [<ffffffff811ba7de>] ____fput+0xe/0x10
[70609.244882]  [<ffffffff8108c0e7>] task_work_run+0xa7/0xe0
[70609.244884]  [<ffffffff81013a41>] do_notify_resume+0x61/0xa0
[70609.244887]  [<ffffffff81695de2>] int_signal+0x12/0x17
[70609.244888] ---[ end trace 25c93180a26edd49 ]---
Comment 11 Bas Mevissen 2014-02-27 09:10:14 EST
Seeing this now with kernel-3.13.5-200.fc20.x86_64 and not with kernel-3.13.4-200.fc20.x86_64 or before.

PC is booted with USB 3.0 HDD and USB 3.0 memory stick connected all the time. Using the USB stick to play music with VLC. When VLC tries to open files, the kernel spits out an error. This only happens with kernel-3.13.5-200.fc20.x86_64 and has never happened before AFAIK.

It is 100% reproducible here and does not involve any plugging or unplugging.
My traces are possibly not usable because the kernel is tainted with out of tree modules (Oracle VirtualBox drivers).
Comment 12 Christoph Wickert 2014-02-28 10:01:19 EST
Same here, seeing this with kernel-3.13.4-200.fc20.x86_64 as soon as I unplug my Logitech wireless USB mouse.
Comment 13 Benjamin Ariel Nava Martinez 2014-03-01 15:30:54 EST
This happens on kernel 3.13.3-201.fc20.x86_64 whenever I eject and unplug any device connected through my SATA/IDE to USB bridge cable.
Comment 14 satellitgo 2014-03-02 14:46:35 EST
attempt to install with 21.25-1 to USB HD from f21-live Desktop 20140302
Comment 15 Elad Alfassa 2014-03-02 16:07:01 EST
Seeing this here on 3.14.0-0.rc4.git2.2.fc21.x86_64
Comment 16 Sam Tygier 2014-03-03 06:54:50 EST
3.13.5-200.fc20.x86_64 when unplugging Sony HDR-AS15 (camera)
Comment 17 Ian Pilcher 2014-03-03 18:23:18 EST
Just saw this on 3.13.4-200.fc20.x86_64 when logging in to an iSCSI target.
Comment 18 Ian Pilcher 2014-03-03 18:36:36 EST
(In reply to Ian Pilcher from comment #17)
> Just saw this on 3.13.4-200.fc20.x86_64 when logging in to an iSCSI target.

I logged in and out of this particular target several times in fairly short order, so I suspect that this actually represents a log-out, and it just happened to pop up on my desktop right after I logged in again.  (That would certainly makes more sense.)
Comment 19 Moez Roy 2014-03-03 19:36:05 EST
Connected my 16GB USB device (which is formatted as FAT) to a USB3 port:

WARNING: CPU: 0 PID: 5461 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb06e0 not found for kobject 'target6:0:0'
Modules linked in: usb_storage fuse bnep bluetooth cfg80211 rfkill vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) ip6t_rpfilter ip6t_REJECT xt_conntrack vboxdrv(OF) ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat joydev snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm r8169 mii iTCO_wdt iTCO_vendor_support x86_pkg_temp_thermal snd_page_alloc snd_timer snd mei_me coretemp kvm_intel kvm soundcore shpchp lpc_ich mfd_core mei microcode serio_raw i2c_i801 dm_crypt nouveau mxm_wmi wmi i2c_algo_bit drm_kms_helper ttm crct10dif_pclmul crc32_pclmul crc32c_intel drm ghash_clmulni_intel i2c_core video
CPU: 0 PID: 5461 Comm: umount Tainted: GF          O 3.13.5-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./B75M-D3H, BIOS F14 04/17/2013
 0000000000000009 ffff88010f359b70 ffffffff81686fdc ffff88010f359bb8
 ffff88010f359ba8 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
 ffff8800d1ee1438 ffff8800506ca188 ffff8800d8a08100 ffff88010f359c08
Call Trace:
 [<ffffffff81686fdc>] dump_stack+0x45/0x56
 [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
 [<ffffffff81230afe>] ? sysfs_get_dirent_ns+0x4e/0x70
 [<ffffffff81231dc6>] sysfs_remove_group+0xc6/0xd0
 [<ffffffff8141dc03>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81413955>] device_del+0x45/0x1c0
 [<ffffffff8143eb87>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff81086297>] execute_in_process_context+0x67/0x70
 [<ffffffff81440004>] scsi_target_reap+0xc4/0xf0
 [<ffffffff81441fd6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff81086297>] execute_in_process_context+0x67/0x70
 [<ffffffff81441eec>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81412fa2>] device_release+0x32/0xa0
 [<ffffffff813161c7>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81316080>] kobject_put+0x30/0x60
 [<ffffffff81413297>] put_device+0x17/0x20
 [<ffffffff814346eb>] scsi_device_put+0x3b/0x50
 [<ffffffff81446b80>] scsi_disk_put+0x30/0x50
 [<ffffffff81446eb2>] sd_release+0x42/0xd0
 [<ffffffff811f14ac>] __blkdev_put+0x16c/0x1a0
 [<ffffffff811f144e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff811f1dec>] blkdev_put+0x4c/0x120
 [<ffffffff811baf24>] kill_block_super+0x44/0x70
 [<ffffffff811bb1ed>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811bb796>] deactivate_super+0x46/0x60
 [<ffffffff811d74ac>] mntput_no_expire+0xac/0x140
 [<ffffffff811d891e>] SyS_umount+0x8e/0x100
 [<ffffffff81695fa9>] system_call_fastpath+0x16/0x1b
Comment 20 Kyle Pablo 2014-03-05 22:17:15 EST
3.13.5-200.fc20.x86_64

USB 16gb flash drive, I filed this bug--->https://bugzilla.redhat.com/show_bug.cgi?id=1073180 duplicate?

[356932.783481] WARNING: CPU: 7 PID: 26285 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[356932.783483] sysfs group ffffffff81cb06e0 not found for kobject 'target29:0:0'
[356932.783483] Modules linked in: xfs btrfs raid6_pq libcrc32c xor nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw arc4 vfat fat x86_pkg_temp_thermal coretemp kvm_intel rtsx_pci_sdmmc mmc_core iTCO_wdt rtsx_pci_ms iTCO_vendor_support memstick iwlmvm kvm snd_hda_codec_hdmi snd_hda_codec_via mac80211 uvcvideo crct10dif_pclmul crc32_pclmul videobuf2_vmalloc crc32c_intel snd_hda_intel videobuf2_memops videobuf2_core snd_hda_codec videodev snd_hwdep joydev
[356932.783508]  btusb ghash_clmulni_intel iwlwifi media snd_seq bluetooth cfg80211 microcode snd_seq_device serio_raw snd_pcm i2c_i801 rtsx_pci r8169 lpc_ich rfkill mfd_core mii snd_page_alloc snd_timer mei_me snd mei soundcore shpchp wmi nfsd auth_rpcgss nfs_acl lockd vboxnetadp(OF) vboxnetflt(OF) sunrpc vboxdrv(OF) usb_storage i915 i2c_algo_bit drm_kms_helper drm i2c_core video
[356932.783525] CPU: 7 PID: 26285 Comm: umount Tainted: GF       W IO 3.13.5-200.fc20.x86_64 #1
[356932.783526] Hardware name: Notebook                         W65_67SZ                        /W65_67SZ                        , BIOS 1.03.03 12/04/2013
[356932.783527]  0000000000000009 ffff880212f55b70 ffffffff81686fdc ffff880212f55bb8
[356932.783529]  ffff880212f55ba8 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
[356932.783530]  ffff880047dc1038 ffff880128010188 ffff88021156e900 ffff880212f55c08
[356932.783532] Call Trace:
[356932.783537]  [<ffffffff81686fdc>] dump_stack+0x45/0x56
[356932.783541]  [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[356932.783542]  [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[356932.783544]  [<ffffffff81230afe>] ? sysfs_get_dirent_ns+0x4e/0x70
[356932.783546]  [<ffffffff81231dc6>] sysfs_remove_group+0xc6/0xd0
[356932.783548]  [<ffffffff8141dc03>] dpm_sysfs_remove+0x43/0x50
[356932.783551]  [<ffffffff81413955>] device_del+0x45/0x1c0
[356932.783553]  [<ffffffff8143eb87>] scsi_target_reap_usercontext+0x27/0x40
[356932.783555]  [<ffffffff81086297>] execute_in_process_context+0x67/0x70
[356932.783557]  [<ffffffff81440004>] scsi_target_reap+0xc4/0xf0
[356932.783559]  [<ffffffff81441fd6>] scsi_device_dev_release_usercontext+0xe6/0x120
[356932.783560]  [<ffffffff81086297>] execute_in_process_context+0x67/0x70
[356932.783562]  [<ffffffff81441eec>] scsi_device_dev_release+0x1c/0x20
[356932.783563]  [<ffffffff81412fa2>] device_release+0x32/0xa0
[356932.783566]  [<ffffffff813161c7>] kobject_cleanup+0x77/0x1b0
[356932.783567]  [<ffffffff81316080>] kobject_put+0x30/0x60
[356932.783570]  [<ffffffff81413297>] put_device+0x17/0x20
[356932.783573]  [<ffffffff814346eb>] scsi_device_put+0x3b/0x50
[356932.783575]  [<ffffffff81446b80>] scsi_disk_put+0x30/0x50
[356932.783577]  [<ffffffff81446eb2>] sd_release+0x42/0xd0
[356932.783579]  [<ffffffff811f14ac>] __blkdev_put+0x16c/0x1a0
[356932.783581]  [<ffffffff811f144e>] __blkdev_put+0x10e/0x1a0
[356932.783582]  [<ffffffff811f1dec>] blkdev_put+0x4c/0x120
[356932.783585]  [<ffffffff811baf24>] kill_block_super+0x44/0x70
[356932.783587]  [<ffffffff811bb1ed>] deactivate_locked_super+0x3d/0x60
[356932.783589]  [<ffffffff811bb796>] deactivate_super+0x46/0x60
[356932.783591]  [<ffffffff811d74ac>] mntput_no_expire+0xac/0x140
[356932.783593]  [<ffffffff811d891e>] SyS_umount+0x8e/0x100
[356932.783595]  [<ffffffff81695fa9>] system_call_fastpath+0x16/0x1b
[356932.783596] ---[ end trace 786f1254efc7e7b1 ]---
Comment 21 Dr. David Alan Gilbert 2014-03-09 15:10:30 EDT
Hit this on 3.13.5-202.fc20.x86_64; this was as I killed an android device sharing it's block device.

[24366.301256] lost page write due to I/O error on sde
[24366.301259] JBD2: Error -5 detected when updating journal superblock for sde-8.
[24366.301342] ------------[ cut here ]------------
[24366.301348] WARNING: CPU: 4 PID: 13061 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[24366.301350] sysfs group ffffffff81cb06e0 not found for kobject 'target10:0:0'
[24366.301352] Modules linked in: vhost_net vhost macvtap macvlan vfat fat fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT bnep bluetooth xt_conntrack cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_hdmi iTCO_wdt iTCO_vendor_support gpio_ich ppdev snd_hda_codec_via snd_hda_intel snd_hda_codec coretemp kvm_intel snd_hwdep snd_seq kvm snd_seq_device crc32c_intel snd_pcm i7core_edac i2c_i801 microcode edac_core serio_raw snd_page_alloc r8169 snd_timer mii snd parport_pc lpc_ich soundcore mfd_core
[24366.301397]  parport shpchp acpi_cpufreq ata_generic pata_acpi radeon i2c_algo_bit drm_kms_helper ttm drm firewire_ohci usb_storage firewire_core pata_via crc_itu_t i2c_core
[24366.301407] CPU: 4 PID: 13061 Comm: umount Not tainted 3.13.5-202.fc20.x86_64 #1
[24366.301409] Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./P55M Pro, BIOS P1.50 09/10/2009
[24366.301410]  0000000000000009 ffff88005970fbb0 ffffffff81686f7c ffff88005970fbf8
[24366.301413]  ffff88005970fbe8 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
[24366.301415]  ffff880099244438 ffff88008c94b188 ffff8801fa767100 ffff88005970fc48
[24366.301417] Call Trace:
[24366.301423]  [<ffffffff81686f7c>] dump_stack+0x45/0x56
[24366.301427]  [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[24366.301430]  [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[24366.301434]  [<ffffffff81230b1e>] ? sysfs_get_dirent_ns+0x4e/0x70
[24366.301436]  [<ffffffff81231de6>] sysfs_remove_group+0xc6/0xd0
[24366.301440]  [<ffffffff8141dbb3>] dpm_sysfs_remove+0x43/0x50
[24366.301445]  [<ffffffff81413905>] device_del+0x45/0x1c0
[24366.301448]  [<ffffffff8143eb37>] scsi_target_reap_usercontext+0x27/0x40
[24366.301452]  [<ffffffff81086297>] execute_in_process_context+0x67/0x70
[24366.301454]  [<ffffffff8143ffb4>] scsi_target_reap+0xc4/0xf0
[24366.301458]  [<ffffffff81441f86>] scsi_device_dev_release_usercontext+0xe6/0x120
[24366.301460]  [<ffffffff81086297>] execute_in_process_context+0x67/0x70
[24366.301463]  [<ffffffff81441e9c>] scsi_device_dev_release+0x1c/0x20
[24366.301466]  [<ffffffff81412f52>] device_release+0x32/0xa0
[24366.301470]  [<ffffffff813161e7>] kobject_cleanup+0x77/0x1b0
[24366.301473]  [<ffffffff813160a0>] kobject_put+0x30/0x60
[24366.301478]  [<ffffffff81413247>] put_device+0x17/0x20
[24366.301481]  [<ffffffff8143469b>] scsi_device_put+0x3b/0x50
[24366.301483]  [<ffffffff81446b30>] scsi_disk_put+0x30/0x50
[24366.301485]  [<ffffffff81446e62>] sd_release+0x42/0xd0
[24366.301488]  [<ffffffff811f14cc>] __blkdev_put+0x16c/0x1a0
[24366.301490]  [<ffffffff811f1e0c>] blkdev_put+0x4c/0x120
[24366.301493]  [<ffffffff811baf44>] kill_block_super+0x44/0x70
[24366.301495]  [<ffffffff811bb20d>] deactivate_locked_super+0x3d/0x60
[24366.301497]  [<ffffffff811bb7b6>] deactivate_super+0x46/0x60
[24366.301500]  [<ffffffff811d74cc>] mntput_no_expire+0xac/0x140
[24366.301502]  [<ffffffff811d893e>] SyS_umount+0x8e/0x100
[24366.301506]  [<ffffffff81695f69>] system_call_fastpath+0x16/0x1b
[24366.301507] ---[ end trace 1faa36189c989426 ]---
Comment 22 Moez Roy 2014-03-12 01:55:10 EDT
*** Bug 1066259 has been marked as a duplicate of this bug. ***
Comment 23 Alois Mahdal 2014-03-12 08:49:29 EDT
Just saw this in the middle of playing music in MOC with from a USB-connected drive (NTFS).
Comment 24 Dariusz Garbowski 2014-03-12 14:25:40 EDT
kernel 3.13.6-200.fc20.x86_64

Unmounted and disconnected USB hard drive with NTFS. NTFS file system got corrupted (detected by Windows 7 machine when trying to access directory to which file was saved on Linux prior to disconnect).

[110460.888172] usb 3-4: USB disconnect, device number 2
[110460.893969] sd 9:0:0:0: [sdg] Unhandled error code
[110460.893972] sd 9:0:0:0: [sdg]  
[110460.893973] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[110460.893974] sd 9:0:0:0: [sdg] CDB: 
[110460.893974] Write(10): 2a 00 17 19 7f 6f 00 00 18 00
[110460.893979] end_request: I/O error, dev sdg, sector 387546991
[110460.893981] Buffer I/O error on device sdg1, logical block 48443366
[110460.893982] lost page write due to I/O error on sdg1
[110460.893985] Buffer I/O error on device sdg1, logical block 48443367
[110460.893985] lost page write due to I/O error on sdg1
[110460.893987] Buffer I/O error on device sdg1, logical block 48443368
[110460.893987] lost page write due to I/O error on sdg1
[110460.894203] sd 9:0:0:0: [sdg] Unhandled error code
[110460.894204] sd 9:0:0:0: [sdg]  
[110460.894205] Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
[110460.894206] sd 9:0:0:0: [sdg] CDB: 
[110460.894206] Write(10): 2a 00 17 1c 25 9f 00 00 18 00
[110460.894209] end_request: I/O error, dev sdg, sector 387720607
[110460.894210] Buffer I/O error on device sdg1, logical block 48465068
[110460.894211] lost page write due to I/O error on sdg1
[110460.894212] Buffer I/O error on device sdg1, logical block 48465069
[110460.894213] lost page write due to I/O error on sdg1
[110460.894214] Buffer I/O error on device sdg1, logical block 48465070
[110460.894215] lost page write due to I/O error on sdg1
[110460.929540] ------------[ cut here ]------------
[110460.929550] WARNING: CPU: 3 PID: 18858 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[110460.929551] sysfs group ffffffff81cb06e0 not found for kobject 'target9:0:0'
[110460.929552] Modules linked in: dm_crypt fuse ipt_MASQUERADE xt_CHECKSUM tun ip6t_rpfilter ip6t_REJECT xt_conntrack bnep bluetooth cfg80211 ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw eeepc_wmi asus_wmi sparse_keymap iTCO_wdt rfkill iTCO_vendor_support x86_pkg_temp_thermal coretemp kvm_intel kvm snd_hda_codec_hdmi crct10dif_pclmul snd_hda_codec_realtek crc32_pclmul crc32c_intel ghash_clmulni_intel snd_hda_intel snd_hda_codec joydev snd_hwdep snd_seq microcode snd_seq_device snd_pcm serio_raw i2c_i801 lpc_ich r8169 snd_page_alloc
[110460.929589]  mfd_core snd_timer mii mei_me snd mei soundcore shpchp wmi nfsd auth_rpcgss nfs_acl binfmt_misc lockd sunrpc i915 i2c_algo_bit drm_kms_helper drm usb_storage i2c_core video
[110460.929599] CPU: 3 PID: 18858 Comm: umount Not tainted 3.13.6-200.fc20.x86_64 #1
[110460.929600] Hardware name: System manufacturer System Product Name/P8Z77-V LE, BIOS 0512 05/08/2012
[110460.929601]  0000000000000009 ffff8802e58e7b48 ffffffff8168730c ffff8802e58e7b90
[110460.929603]  ffff8802e58e7b80 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
[110460.929604]  ffff8807f4191c38 ffff8807f424b188 ffff8807f11d1900 ffff8802e58e7be0
[110460.929606] Call Trace:
[110460.929611]  [<ffffffff8168730c>] dump_stack+0x45/0x56
[110460.929614]  [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[110460.929616]  [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[110460.929618]  [<ffffffff81230b2e>] ? sysfs_get_dirent_ns+0x4e/0x70
[110460.929619]  [<ffffffff81231df6>] sysfs_remove_group+0xc6/0xd0
[110460.929622]  [<ffffffff8141dc93>] dpm_sysfs_remove+0x43/0x50
[110460.929625]  [<ffffffff814139e5>] device_del+0x45/0x1c0
[110460.929627]  [<ffffffff8143ec17>] scsi_target_reap_usercontext+0x27/0x40
[110460.929629]  [<ffffffff81086557>] execute_in_process_context+0x67/0x70
[110460.929630]  [<ffffffff81440094>] scsi_target_reap+0xc4/0xf0
[110460.929643]  [<ffffffff81442066>] scsi_device_dev_release_usercontext+0xe6/0x120
[110460.929644]  [<ffffffff81086557>] execute_in_process_context+0x67/0x70
[110460.929645]  [<ffffffff81441f7c>] scsi_device_dev_release+0x1c/0x20
[110460.929647]  [<ffffffff81413032>] device_release+0x32/0xa0
[110460.929649]  [<ffffffff81316207>] kobject_cleanup+0x77/0x1b0
[110460.929651]  [<ffffffff813160c0>] kobject_put+0x30/0x60
[110460.929654]  [<ffffffff81413327>] put_device+0x17/0x20
[110460.929656]  [<ffffffff8143477b>] scsi_device_put+0x3b/0x50
[110460.929659]  [<ffffffff81446c10>] scsi_disk_put+0x30/0x50
[110460.929660]  [<ffffffff81446f42>] sd_release+0x42/0xd0
[110460.929663]  [<ffffffff811f14bc>] __blkdev_put+0x16c/0x1a0
[110460.929664]  [<ffffffff811f145e>] __blkdev_put+0x10e/0x1a0
[110460.929665]  [<ffffffff811f1dfc>] blkdev_put+0x4c/0x120
[110460.929668]  [<ffffffff811bafa4>] kill_block_super+0x44/0x70
[110460.929672]  [<ffffffffa05e3957>] fuse_kill_sb_blk+0x47/0x50 [fuse]
[110460.929674]  [<ffffffff811bb26d>] deactivate_locked_super+0x3d/0x60
[110460.929676]  [<ffffffff811bb816>] deactivate_super+0x46/0x60
[110460.929678]  [<ffffffff811d74ec>] mntput_no_expire+0xac/0x140
[110460.929680]  [<ffffffff811d895e>] SyS_umount+0x8e/0x100
[110460.929683]  [<ffffffff816962e9>] system_call_fastpath+0x16/0x1b
[110460.929684] ---[ end trace 847731ebb7179ca9 ]---
Comment 25 Peter H. Jones 2014-03-15 12:31:41 EDT
Created attachment 874858 [details]
/var/log/messages containing traceback

Got a traceback in kernel-3.13.6-200.fc20.x86_64, but didn't get the alert until I recovered from Hibernate the following morning. The call trace occurred at line 2342 of the attachment, but there seems to have been I/O errors on an attached USB disk just before that.
Comment 26 Moez Roy 2014-03-16 00:02:33 EDT
The bug was closed upstream:

"Igor Gnatenko 2014-02-22 14:00:41 UTC

I can't reproduce this bug on master branch, so close it as FIXED"

https://bugzilla.kernel.org/show_bug.cgi?id=69441
Comment 27 Sam Roza 2014-03-18 22:15:08 EDT
Definitely not fixed. Unplugging a mounted USB will trigger this behavior every time.

kernel: joydev snd_seq ptp wmi serio_raw pps_core microcode shpchp snd_seq_device snd_pcm mfd_core snd_page_alloc tpm_tis i2c_i801 tpm snd_timer rfkill snd soundcore dm_crypt i915 crct10dif_pclmul crc32_pclmul crc32c_intel i2c_algo_bit drm_kms_helper ghash_clmulni_intel drm i2c_core video
kernel: CPU: 1 PID: 5109 Comm: umount Tainted: G        W    3.13.6-200.fc20.x86_64 #1
kernel: Hardware name: LENOVO 2356BH8/2356BH8, BIOS G7ET29WW (1.11 ) 05/24/2012
kernel: 0000000000000009 ffff8803aa1edb70 ffffffff8168730c ffff8803aa1edbb8
kernel: ffff8803aa1edba8 ffffffff8106d47d 0000000000000000 ffffffff81cb06e0
kernel: ffff8803b6d1cc38 ffff880382e5a188 ffff8803fdd4c100 ffff8803aa1edc08
kernel: Call Trace:
kernel: [<ffffffff8168730c>] dump_stack+0x45/0x56
kernel: [<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
kernel: [<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
kernel: [<ffffffff81230b2e>] ? sysfs_get_dirent_ns+0x4e/0x70
kernel: [<ffffffff81231df6>] sysfs_remove_group+0xc6/0xd0
kernel: [<ffffffff8141dc93>] dpm_sysfs_remove+0x43/0x50
kernel: [<ffffffff814139e5>] device_del+0x45/0x1c0
kernel: [<ffffffff8143ec17>] scsi_target_reap_usercontext+0x27/0x40
kernel: [<ffffffff81086557>] execute_in_process_context+0x67/0x70
kernel: [<ffffffff81440094>] scsi_target_reap+0xc4/0xf0
kernel: [<ffffffff81442066>] scsi_device_dev_release_usercontext+0xe6/0x120
kernel: [<ffffffff81086557>] execute_in_process_context+0x67/0x70
kernel: [<ffffffff81441f7c>] scsi_device_dev_release+0x1c/0x20
kernel: [<ffffffff81413032>] device_release+0x32/0xa0
kernel: [<ffffffff81316207>] kobject_cleanup+0x77/0x1b0
kernel: [<ffffffff813160c0>] kobject_put+0x30/0x60
kernel: [<ffffffff81413327>] put_device+0x17/0x20
kernel: [<ffffffff8143477b>] scsi_device_put+0x3b/0x50
kernel: [<ffffffff81446c10>] scsi_disk_put+0x30/0x50
kernel: [<ffffffff81446f42>] sd_release+0x42/0xd0
kernel: [<ffffffff811f14bc>] __blkdev_put+0x16c/0x1a0
kernel: [<ffffffff811f145e>] __blkdev_put+0x10e/0x1a0
kernel: [<ffffffff811f1dfc>] blkdev_put+0x4c/0x120
kernel: [<ffffffff811bafa4>] kill_block_super+0x44/0x70
kernel: [<ffffffff811bb26d>] deactivate_locked_super+0x3d/0x60
kernel: [<ffffffff811bb816>] deactivate_super+0x46/0x60
kernel: [<ffffffff811d74ec>] mntput_no_expire+0xac/0x140
kernel: [<ffffffff811d895e>] SyS_umount+0x8e/0x100
kernel: [<ffffffff816962e9>] system_call_fastpath+0x16/0x1b
kernel: ---[ end trace 58b8cc1ffd2ac549 ]---
Comment 28 Moez Roy 2014-03-19 04:48:17 EDT
hopefully I have made the need info request to the correct person i.e. Igor Gnatenko...

@Igor:

Can you please re-open the bug upstream. Thanks.
Comment 29 Igor Gnatenko 2014-03-19 09:06:18 EDT
reopened
Comment 30 Tim Chappell 2014-03-19 14:55:38 EDT
I can repeat this problem consistently. I am running 3.13.6-100.fc19.x86_64 and Oracle VM VirtualBox with Windows7 as a guest OS.  When I select Devices -> USB Devices-> any USB, in the VirtualBox tool bar I get this kernel crash report. The first time this happened was on 03/06/2014.  I had no problems before that date.
Comment 31 James Boyle 2014-03-19 16:03:47 EDT
This error occurred on my Fedora 20 system while passing through a USB device (USB 3.0 HDD dock) to a gparted virtual machine hosted with libvirt/qemu/kvm.  I saw the error when I unplugged the physical USB device.  I'm not sure if it's pertinent, but the physical HDD plugged into the dock had FAT and NTFS filesystems.
Comment 32 Sam Roza 2014-03-19 16:07:11 EDT
My reproducer was a physical F20 laptop running the recently-updated 3.13.6-200.fc20.x86_64 kernel. I let F20 do an automount, looked at the files, and unplugged the USB drive.
Comment 33 D. Wagner 2014-03-22 00:53:21 EDT
I got this just now on kernel-3.13.6-100.fc19.x86_64 when turning off an attached external USB disk.
Comment 34 Mauro Carvalho Chehab 2014-03-23 09:39:22 EDT
Created attachment 877848 [details]
dmesg with 3.13.6-200.fc20.x86_64 and removal of a Digitech USB device

Same here, on 3.13.6-200.fc20.x86_64, when I unplugged a Digitech Guitar pedal:

$ dmesg|grep -A1 WARNING
[   36.520907] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.520908] sysfs group ffffffff81cb06e0 not found for kobject 'midi2'
--
[   36.521278] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.521279] sysfs group ffffffff81cb06e0 not found for kobject 'dmmidi2'
--
[   36.521438] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.521439] sysfs group ffffffff81cb06e0 not found for kobject 'midiC2D0'
--
[   36.521567] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.521568] sysfs group ffffffff81cb06e0 not found for kobject 'pcmC2D0p'
--
[   36.521883] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.521884] sysfs group ffffffff81cb06e0 not found for kobject 'pcmC2D0c'
--
[   36.522069] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.522070] sysfs group ffffffff81cb06e0 not found for kobject 'controlC2'
--
[   36.522309] WARNING: CPU: 0 PID: 54 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
[   36.522313] sysfs group ffffffff81cb06e0 not found for kobject 'card2'
Comment 35 Mauro Carvalho Chehab 2014-03-23 09:52:48 EDT
We had a similar issue to this one with the media em28xx driver, when fixing some issues on device removal. 

There, we had to call usb_put_dev() at usb_driver.disconnect() callback (and prevent any USB operation after that) or otherwise this bug would hit.
Comment 36 Mauro Carvalho Chehab 2014-03-23 10:09:33 EDT
Hmm... ALSA doesn't seem to be calling usb_get_dev(), except for us122l driver. The comment at usb_get_dev() says that:

 Each live reference to a device should be refcounted.

 Drivers for USB interfaces should normally record such references in
 their probe() methods, when they bind to an interface, and release
 them by calling usb_put_dev(), in their disconnect() methods.

I wonder if this could be the cause of those issues on the drivers that we have this bug reported.
Comment 37 Peter H. Jones 2014-03-30 09:17:18 EDT
Got it with kernel-3.13.7-100.fc19.x86_64 #1 SMP. It may have been when I unplugged a USB disk drive, or when I double-clicked to open an image file on the desktop. I did not find any indication in /var/log/messages.
Comment 38 Bill Gianopoulos 2014-03-30 13:41:59 EDT
I encounter this when moving the USB dongle for my logitech wireless mouse and keyboard to a different USB port.
Comment 39 tux.buks 2014-04-02 21:35:35 EDT
Description of problem:
Not sure but happens only when I connect my mobile phone over usb. It's Huawei Ascend Y100 u8185. And it happens quite frequently, every time I connect my phone. But I had no any obvious problems besides the annoying notifications about kernel crash. I was able to format the SDcard in my phone and to transfer data, the stock ROM to SDcard. Everything looks ok just the notifications are bothering me, maybe I should choose to ignore this crash forever.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.0
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.7-200.fc20.i686+PAE root=UUID=5d5970ec-19c1-44f1-b427-1dd7d596fa61 ro vconsole.font=latarcyrheb-sun16 rhgb quiet LANG=en_GB.UTF-8
kernel:         3.13.7-200.fc20.i686+PAE
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 4295 at fs/sysfs/group.c:214 sysfs_remove_group+0xb9/0xc0()
sysfs group c0c954e8 not found for kobject 'target7:0:0'
Modules linked in: nls_utf8 isofs vfat fat fuse bnep bluetooth cfg80211 rfkill ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw w83627hf hwmon_vid lm63 usb_storage snd_intel8x0 snd_ac97_codec ac97_bus snd_seq snd_seq_device snd_pcm joydev microcode gpio_ich iTCO_wdt iTCO_vendor_support snd_page_alloc snd_timer lpc_ich snd ppdev skge mfd_core serio_raw soundcore i2c_i801 parport_pc parport nfsd auth_rpcgss nfs_acl lockd sunrpc binfmt_misc hid_sunplus radeon i2c_algo_bit drm_kms_helper
ttm ata_generic drm pata_acpi i2c_core
CPU: 0 PID: 4295 Comm: umount Not tainted 3.13.7-200.fc20.i686+PAE #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./P4P800, BIOS 1019.005 10/14/2004
00000000 00000000 d0ecdd7c c09c385d d0ecddbc d0ecddac c045608e c0b84750
d0ecddd8 000010c7 c0b7f585 000000d6 c05cb1a9 c05cb1a9 00000000 c0c954e8
d0eea41c d0ecddc4 c04560e3 00000009 d0ecddbc c0b84750 d0ecddd8 d0ecddec
Call Trace:
[<c09c385d>] dump_stack+0x41/0x52
[<c045608e>] warn_slowpath_common+0x7e/0xa0
[<c05cb1a9>] ? sysfs_remove_group+0xb9/0xc0
[<c05cb1a9>] ? sysfs_remove_group+0xb9/0xc0
[<c04560e3>] warn_slowpath_fmt+0x33/0x40
[<c05cb1a9>] sysfs_remove_group+0xb9/0xc0
[<c0799327>] dpm_sysfs_remove+0x37/0x40
[<c07906e4>] device_del+0x34/0x170
[<c07b4e44>] scsi_target_reap_usercontext+0x24/0x30
[<c046bb4c>] execute_in_process_context+0x4c/0x60
[<c07b5ff8>] scsi_target_reap+0x98/0xb0
[<c07b7d97>] scsi_device_dev_release_usercontext+0xd7/0x110
[<c046bb4c>] execute_in_process_context+0x4c/0x60
[<c07b7cb8>] scsi_device_dev_release+0x18/0x20
[<c078fe1b>] device_release+0x2b/0x90
[<c069c01f>] kobject_cleanup+0x6f/0x1a0
[<c069bef5>] kobject_put+0x25/0x60
[<c04ba20d>] ? module_refcount+0x7d/0xa0
[<c07aba3f>] ? scsi_device_put+0x3f/0x50
[<c07900b4>] put_device+0x14/0x20
[<c07aba4a>] scsi_device_put+0x4a/0x50
[<c07c2b71>] scsi_cd_put+0x31/0x50
[<c07c2bbd>] sr_block_release+0x2d/0x40
[<c0599258>] __blkdev_put+0x128/0x160
[<c05999f0>] blkdev_put+0x40/0xf0
[<c0569b1d>] kill_block_super+0x3d/0x70
[<c0569da3>] deactivate_locked_super+0x33/0x50
[<c056a27a>] deactivate_super+0x3a/0x60
[<c05825c6>] mntput_no_expire+0x96/0x120
[<c058372d>] SyS_umount+0x7d/0xc0
[<c09d0a4d>] sysenter_do_call+0x12/0x28
Comment 40 Gustavo Dutra 2014-04-06 09:55:44 EDT
Yesterday I got mine.

WARNING: CPU: 6 PID: 13626 at fs/sysfs/group.c:214 sysfs_remove_group+0xc6/0xd0()
sysfs group ffffffff81cb06a0 not found for kobject 'target6:0:0'
Modules linked in: fuse ccm nvidia(POF) bnep bluetooth bridge stp llc arc4 vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) rtl8192cu rtl_usb rtlwifi rtl8192c_common mac80211 cfg80211 rfkill vboxdrv(OF) it87 hwmon_vid snd_hda_codec_hdmi joydev kvm_amd kvm hid_logitech_dj usb_storage crct10dif_pclmul crc32_pclmul snd_hda_intel snd_virtuoso snd_hda_codec snd_oxygen_lib crc32c_intel snd_mpu401_uart snd_hwdep snd_rawmidi ghash_clmulni_intel snd_seq snd_seq_device microcode snd_pcm edac_core serio_raw edac_mce_amd k10temp snd_page_alloc fam15h_power sp5100_tco snd_timer i2c_piix4 snd soundcore shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc nouveau video mxm_wmi i2c_algo_bit drm_kms_helper ttm drm i2c_core wmi [last unloaded: iptable_raw]
CPU: 6 PID: 13626 Comm: umount Tainted: PF          O 3.13.8-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. GA-970A-UD3/GA-970A-UD3, BIOS F8a 12/20/2012
0000000000000009 ffff880556c7fb48 ffffffff8168771c ffff880556c7fb90
ffff880556c7fb80 ffffffff8106d47d 0000000000000000 ffffffff81cb06a0
ffff880802e71838 ffff880802ea5188 ffff8807fe661100 ffff880556c7fbe0
Call Trace:
[<ffffffff8168771c>] dump_stack+0x45/0x56
[<ffffffff8106d47d>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8106d4ec>] warn_slowpath_fmt+0x4c/0x50
[<ffffffff81230b8e>] ? sysfs_get_dirent_ns+0x4e/0x70
[<ffffffff81231e56>] sysfs_remove_group+0xc6/0xd0
[<ffffffff8141de23>] dpm_sysfs_remove+0x43/0x50
[<ffffffff81413b75>] device_del+0x45/0x1c0
[<ffffffff8143eda7>] scsi_target_reap_usercontext+0x27/0x40
[<ffffffff81086557>] execute_in_process_context+0x67/0x70
[<ffffffff81440224>] scsi_target_reap+0xc4/0xf0
[<ffffffff814421f6>] scsi_device_dev_release_usercontext+0xe6/0x120
[<ffffffff81086557>] execute_in_process_context+0x67/0x70
[<ffffffff8144210c>] scsi_device_dev_release+0x1c/0x20
[<ffffffff814131c2>] device_release+0x32/0xa0
[<ffffffff81316287>] kobject_cleanup+0x77/0x1b0
[<ffffffff81316140>] kobject_put+0x30/0x60
[<ffffffff814134b7>] put_device+0x17/0x20
[<ffffffff8143490b>] scsi_device_put+0x3b/0x50
[<ffffffff81446da0>] scsi_disk_put+0x30/0x50
[<ffffffff814470d2>] sd_release+0x42/0xd0
[<ffffffff811f150c>] __blkdev_put+0x16c/0x1a0
[<ffffffff811f14ae>] __blkdev_put+0x10e/0x1a0
[<ffffffff811f1e4c>] blkdev_put+0x4c/0x120
[<ffffffff811bafc4>] kill_block_super+0x44/0x70
[<ffffffffa0615957>] fuse_kill_sb_blk+0x47/0x50 [fuse]
[<ffffffff811bb28d>] deactivate_locked_super+0x3d/0x60
[<ffffffff811bb836>] deactivate_super+0x46/0x60
[<ffffffff811d753c>] mntput_no_expire+0xac/0x140
[<ffffffff811d89ae>] SyS_umount+0x8e/0x100
[<ffffffff816966a9>] system_call_fastpath+0x16/0x1b
---[ end trace d1d58824c08c20c9 ]---
Comment 41 Samuel Sieb 2014-04-11 17:26:19 EDT
Looks like in my case it might have been caused by pulling the plug on a USB hard drive before it was finished writing.
Comment 42 William Bader 2014-04-24 15:35:06 EDT
I got this a few minutes ago on 3.13.10-200.fc20.x86_64.
I have a Sony DSC W130 digital camera that I plugged in through USB, copied the most recent images (using cp from /run/media/william/disk/DCIM/104MSDCF/), turned off the camera, then unplugged the USB.
Comment 43 Swapnil Nagarkar 2014-05-03 13:22:17 EDT
I'm facing same issue when I connect FreeAgent GoFlex segate portable Harddisk.

Kernel Version-3.14.2-200.fc20.x86_64

[  230.488033] usb 1-7: new high-speed USB device number 6 using ehci-pci
[  230.631520] usb 1-7: New USB device found, idVendor=0bc2, idProduct=5031
[  230.631525] usb 1-7: New USB device strings: Mfr=2, Product=3, SerialNumber=1
[  230.631529] usb 1-7: Product: FreeAgent GoFlex
[  230.631532] usb 1-7: Manufacturer: Seagate
[  230.631534] usb 1-7: SerialNumber: NA0CZYB1
[  230.631954] usb-storage 1-7:1.0: USB Mass Storage device detected
[  230.633630] scsi5 : usb-storage 1-7:1.0
[  231.641923] scsi 5:0:0:0: Direct-Access     Seagate  FreeAgent GoFlex  214 PQ: 0 ANSI: 0
[  231.644145] sd 5:0:0:0: Attached scsi generic sg2 type 0
[  231.645997] sd 5:0:0:0: [sdb] 1953525167 512-byte logical blocks: (1.00 TB/931 GiB)
[  231.647046] sd 5:0:0:0: [sdb] Write Protect is off
[  231.647052] sd 5:0:0:0: [sdb] Mode Sense: 0f 00 00 00
[  231.648439] sd 5:0:0:0: [sdb] No Caching mode page found
[  231.648447] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[  231.651408] sd 5:0:0:0: [sdb] No Caching mode page found
[  231.651414] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[  231.686167]  sdb: sdb1
[  231.690409] sd 5:0:0:0: [sdb] No Caching mode page found
[  231.690416] sd 5:0:0:0: [sdb] Assuming drive cache: write through
[  231.690421] sd 5:0:0:0: [sdb] Attached SCSI disk
[  231.901308] usb 1-7: USB disconnect, device number 6
[  231.912540] ------------[ cut here ]------------
[  231.912552] WARNING: CPU: 1 PID: 1775 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
[  231.912554] sysfs group ffffffff81cb1300 not found for kobject 'target5:0:0'
[  231.912556] Modules linked in: usb_storage fuse bnep ip6t_rpfilter bluetooth 6lowpan_iphc ip6t_REJECT cfg80211 rfkill xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt coretemp iTCO_vendor_support kvm_intel snd_hda_intel kvm ppdev gpio_ich snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm lpc_ich i2c_i801 mfd_core serio_raw microcode parport_pc snd_timer snd soundcore shpchp parport acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc i915 ata_generic pata_acpi video
[  231.912612]  i2c_algo_bit r8169 drm_kms_helper mii drm i2c_core
[  231.912619] CPU: 1 PID: 1775 Comm: udisks-part-id Tainted: G        W    3.14.2-200.fc20.x86_64 #1
[  231.912621] Hardware name: Gigabyte Technology Co., Ltd. G41M-ES2L/G41M-ES2L, BIOS F3 04/09/2009
[  231.912624]  0000000000000000 0000000057fb2bab ffff88009a11daf8 ffffffff816eec92
[  231.912628]  ffff88009a11db40 ffff88009a11db30 ffffffff8108a1bd 0000000000000000
[  231.912636]  ffffffff81cb1300 ffff88009a7ee038 ffff8800a8939190 ffff88009a3ca100
[  231.912640] Call Trace:
[  231.912647]  [<ffffffff816eec92>] dump_stack+0x45/0x56
[  231.912651]  [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[  231.912655]  [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[  231.912658]  [<ffffffff81265448>] ? kernfs_find_and_get_ns+0x48/0x60
[  231.912661]  [<ffffffff812640e3>] sysfs_remove_group+0x93/0xa0
[  231.912665]  [<ffffffff8146b263>] dpm_sysfs_remove+0x43/0x50
[  231.912669]  [<ffffffff81460855>] device_del+0x45/0x1c0
[  231.912673]  [<ffffffff8148dbd7>] scsi_target_reap_usercontext+0x27/0x40
[  231.912676]  [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[  231.912679]  [<ffffffff8148f054>] scsi_target_reap+0xc4/0xf0
[  231.912682]  [<ffffffff81491086>] scsi_device_dev_release_usercontext+0xe6/0x120
[  231.912685]  [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[  231.912687]  [<ffffffff81490f9c>] scsi_device_dev_release+0x1c/0x20
[  231.912690]  [<ffffffff8145fe02>] device_release+0x32/0xa0
[  231.912694]  [<ffffffff81355e87>] kobject_cleanup+0x77/0x1b0
[  231.912696]  [<ffffffff81355d40>] kobject_put+0x30/0x60
[  231.912699]  [<ffffffff81460127>] put_device+0x17/0x20
[  231.912703]  [<ffffffff814823ab>] scsi_device_put+0x3b/0x50
[  231.912706]  [<ffffffff81495b70>] scsi_disk_put+0x30/0x50
[  231.912708]  [<ffffffff81495ed2>] sd_release+0x42/0xd0
[  231.912711]  [<ffffffff812246ec>] __blkdev_put+0x16c/0x1a0
[  231.912715]  [<ffffffff8122506c>] blkdev_put+0x4c/0x120
[  231.912717]  [<ffffffff812251f5>] blkdev_close+0x25/0x30
[  231.912721]  [<ffffffff811eb38c>] __fput+0xdc/0x230
[  231.912724]  [<ffffffff811eb52e>] ____fput+0xe/0x10
[  231.912727]  [<ffffffff810aaff4>] task_work_run+0xc4/0xe0
[  231.912730]  [<ffffffff8108c754>] do_exit+0x2c4/0xa30
[  231.912733]  [<ffffffff8108cf3f>] do_group_exit+0x3f/0xa0
[  231.912736]  [<ffffffff8108cfb4>] SyS_exit_group+0x14/0x20
[  231.912739]  [<ffffffff816ff029>] system_call_fastpath+0x16/0x1b
[  231.912741] ---[ end trace a26ed4afc11414fb ]---
Comment 44 Peter H. Jones 2014-05-04 16:24:58 EDT
Happened to me on kernel-3.14.2-200.fc20.x86_64 #1 SMP
Comment 45 Moez Roy 2014-05-09 18:54:05 EDT
Description of problem:
I asked Thunar to unmount a USB drive.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
kernel:         3.14.2-200.fc20.x86_64
kernel_tainted_short: PFO
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 11309 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target7:0:0'
Modules linked in: btrfs raid6_pq xor usb_storage fuse bnep bluetooth 6lowpan_iphc ip6t_rpfilter ip6t_REJECT cfg80211 rfkill xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vboxpci(OF) vboxnetadp(OF) vboxnetflt(OF) vboxdrv(OF) nvidia(POF) vfat fat serio_raw x86_pkg_temp_thermal coretemp kvm_intel kvm drm iTCO_wdt iTCO_vendor_support ppdev lpc_ich mfd_core joydev microcode i2c_i801 i2c_core tpm_tis tpm_infineon tpm mei_me mei snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic snd_hda_intel snd_hda_codec
snd_hwdep snd_seq snd_seq_device snd_pcm snd_timer snd soundcore shpchp parport_pc parport dm_crypt crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel r8169 mii video
CPU: 1 PID: 11309 Comm: systemd-udevd Tainted: PF          O 3.14.2-200.fc20.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. To be filled by O.E.M./B75M-D3H, BIOS F14 04/17/2013
0000000000000000 000000004f9900a8 ffff8802b0f2db38 ffffffff816eec92
ffff8802b0f2db80 ffff8802b0f2db70 ffffffff8108a1bd 0000000000000000
ffffffff81cb1300 ffff8802ecfac838 ffff88015edbd190 ffff8803b5f46900
Call Trace:
[<ffffffff816eec92>] dump_stack+0x45/0x56
[<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81265448>] ? kernfs_find_and_get_ns+0x48/0x60
[<ffffffff812640e3>] sysfs_remove_group+0x93/0xa0
[<ffffffff8146b263>] dpm_sysfs_remove+0x43/0x50
[<ffffffff81460855>] device_del+0x45/0x1c0
[<ffffffff8148dbd7>] scsi_target_reap_usercontext+0x27/0x40
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff8148f054>] scsi_target_reap+0xc4/0xf0
[<ffffffff81491086>] scsi_device_dev_release_usercontext+0xe6/0x120
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff81490f9c>] scsi_device_dev_release+0x1c/0x20
[<ffffffff8145fe02>] device_release+0x32/0xa0
[<ffffffff81355e87>] kobject_cleanup+0x77/0x1b0
[<ffffffff81355d40>] kobject_put+0x30/0x60
[<ffffffff81460127>] put_device+0x17/0x20
[<ffffffff814823ab>] scsi_device_put+0x3b/0x50
[<ffffffff81495b70>] scsi_disk_put+0x30/0x50
[<ffffffff81495ed2>] sd_release+0x42/0xd0
[<ffffffff812246ec>] __blkdev_put+0x16c/0x1a0
[<ffffffff8122468e>] __blkdev_put+0x10e/0x1a0
[<ffffffff8122506c>] blkdev_put+0x4c/0x120
[<ffffffff812251f5>] blkdev_close+0x25/0x30
[<ffffffff811eb38c>] __fput+0xdc/0x230
[<ffffffff811eb52e>] ____fput+0xe/0x10
[<ffffffff810aafd7>] task_work_run+0xa7/0xe0
[<ffffffff81014ac1>] do_notify_resume+0x61/0xa0
[<ffffffff816ff2e2>] int_signal+0x12/0x17
Comment 46 poma 2014-05-12 11:14:10 EDT
*** Bug 1096786 has been marked as a duplicate of this bug. ***
Comment 47 poma 2014-05-12 11:20:26 EDT
I can reproduce this bug with 3.14.3-200.fc20.x86_64, 
but certainly not with 3.15.0-0.rc5.git0.1.fc21.x86_64!
Comment 48 Alan Stern 2014-05-12 11:38:03 EDT
To help clarify the issue...  This problem has been fixed upstream by commit e63ed0d7a980 ([SCSI] fix our current target reap infrastructure), which is part of 3.15-rc1.  The commit will not get ported to the stable kernels for 3.13 or 3.14 until James Bottomley is satisfied that it doesn't introduce any new bugs.
Comment 49 ramindeh 2014-05-12 12:27:53 EDT
FYI, a Windows7 machine complained that the device "is not available", meaning that the device (a memory chip) might be damaged.
Comment 50 poma 2014-05-12 12:47:20 EDT
Michael, can you reproduce this bug with 3.15.0-0.rc5.git0.1.fc21.x86_64?
Comment 51 poma 2014-05-12 12:48:58 EDT
(In reply to Alan Stern from comment #48)
> To help clarify the issue...  This problem has been fixed upstream by commit
> e63ed0d7a980 ([SCSI] fix our current target reap infrastructure), which is
> part of 3.15-rc1.  The commit will not get ported to the stable kernels for
> 3.13 or 3.14 until James Bottomley is satisfied that it doesn't introduce
> any new bugs.

TFI!
Comment 52 Michael Schwendt 2014-05-13 03:34:01 EDT
@poma

I have no time for Rawhide atm. I'm not the only one who has seen this issue. Likely I've only been the first to report it using ABRT as can be seen from the comments by other users. Comment 48 says the bug has been fixed. Don't set NEEDINFO for me only.

Btw, please do enter your full name in your bugzilla account preferences and also your email client account settings. It's both silly and impolite to address me with my forename while not using your real name yourself.
Comment 53 poma 2014-05-13 06:27:49 EDT
Maestro, I see you're in poetic mood! :)
Thank you for your response.

Josh, why is this a bug report still open?
Comment 54 Josh Boyer 2014-05-13 08:31:22 EDT
(In reply to poma from comment #53)
> Maestro, I see you're in poetic mood! :)
> Thank you for your response.
> 
> Josh, why is this a bug report still open?

Because ABRT keeps duplicating bugs to it and it's not fixed on all branches.
Comment 55 poma 2014-05-14 05:57:43 EDT
No wonder, 
$ rpm -q abrt
package abrt is not installed

OK, if it should be in all branches, let it be.
TFI.
Comment 56 Moez Roy 2014-05-22 20:27:47 EDT
*** Bug 1071525 has been marked as a duplicate of this bug. ***
Comment 57 Moez Roy 2014-05-22 20:31:48 EDT
Marked Bug 1071525 as duplicate of this bug. Please revert if this is incorrect.

PS. This bug is still present in 3.14.4 per https://bugzilla.redhat.com/show_bug.cgi?id=1071525#c3
Comment 58 RAZMY 2014-05-28 10:20:00 EDT
Description of problem:
my pc has connected to enternal hard drive.
i accidently switch it off. but when i switch it on back again i got this error message

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet LANG=en_US.UTF-8
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 2432 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target6:0:0'
Modules linked in: fuse bnep bluetooth 6lowpan_iphc ip6t_rpfilter ip6t_REJECT xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw binfmt_misc ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw coretemp kvm_intel kvm crc32c_intel iTCO_wdt iTCO_vendor_support arc4 snd_hda_codec_realtek snd_hda_codec_generic snd_hda_codec_hdmi snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device microcode snd_pcm serio_raw uvcvideo joydev rtl8192se videobuf2_vmalloc rtl_pci videobuf2_memops rtlwifi videobuf2_core videodev mac80211 media cfg80211 i2c_i801 intel_ips lpc_ich
mfd_core snd_timer snd soundcore toshiba_bluetooth toshiba_acpi sparse_keymap rfkill wmi video mei_me mei shpchp acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc usb_storage radeon i2c_algo_bit drm_kms_helper ttm drm r8169 i2c_core mii
CPU: 2 PID: 2432 Comm: umount Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: TOSHIBA Satellite L500/NSWAA, BIOS 1.20 12/17/09
0000000000000000 00000000af67f941 ffff88003645db38 ffffffff816ef1d2
ffff88003645db80 ffff88003645db70 ffffffff8108a1bd 0000000000000000
ffffffff81cb1300 ffff8800b817bc38 ffff880036a44190 ffff8800b82bf100
Call Trace:
[<ffffffff816ef1d2>] dump_stack+0x45/0x56
[<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
[<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
[<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50
[<ffffffff81460a75>] device_del+0x45/0x1c0
[<ffffffff8148ddf7>] scsi_target_reap_usercontext+0x27/0x40
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff8148f274>] scsi_target_reap+0xc4/0xf0
[<ffffffff814912a6>] scsi_device_dev_release_usercontext+0xe6/0x120
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff814911bc>] scsi_device_dev_release+0x1c/0x20
[<ffffffff81460022>] device_release+0x32/0xa0
[<ffffffff81356057>] kobject_cleanup+0x77/0x1b0
[<ffffffff81355f10>] kobject_put+0x30/0x60
[<ffffffff81460347>] put_device+0x17/0x20
[<ffffffff814825cb>] scsi_device_put+0x3b/0x50
[<ffffffff81495d90>] scsi_disk_put+0x30/0x50
[<ffffffff814960f2>] sd_release+0x42/0xd0
[<ffffffff8122489c>] __blkdev_put+0x16c/0x1a0
[<ffffffff8122483e>] __blkdev_put+0x10e/0x1a0
[<ffffffff8122521c>] blkdev_put+0x4c/0x120
[<ffffffff811ebd64>] kill_block_super+0x44/0x70
[<ffffffffa07a1277>] fuse_kill_sb_blk+0x47/0x50 [fuse]
[<ffffffff811ec06d>] deactivate_locked_super+0x3d/0x60
[<ffffffff811ec636>] deactivate_super+0x46/0x60
[<ffffffff81208dac>] mntput_no_expire+0xac/0x140
[<ffffffff8120a37d>] SyS_umount+0x9d/0x110
[<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
Comment 59 Josh Boyer 2014-05-29 07:19:43 EDT
*** Bug 1102531 has been marked as a duplicate of this bug. ***
Comment 60 lombardi.leandro84 2014-05-29 10:43:38 EDT
Description of problem:
I've just unplugged the usb drive.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.13.10-200.fc20.i686 root=/dev/mapper/fedora_localhost--002-root ro vconsole.keymap=it2 rd.md=0 rd.dm=0 rd.lvm.lv=fedora_localhost-002/root rd.luks=0 vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora_localhost-002/swap rhgb quiet
kernel:         3.13.10-200.fc20.i686
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 6993 at fs/sysfs/group.c:214 sysfs_remove_group+0xb9/0xc0()
sysfs group c0c70d68 not found for kobject 'target5:0:0'
Modules linked in: vfat fat usb_storage rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw uvcvideo videobuf2_vmalloc videobuf2_memops arc4 videobuf2_core ath9k gpio_ich coretemp samsung_laptop snd_hda_codec_realtek snd_hda_intel iTCO_wdt iTCO_vendor_support cdc_ether ath9k_common microcode joydev videodev snd_hda_codec serio_raw usbnet mii ath9k_hw media cdc_acm btusb ath bluetooth mac80211 cfg80211 snd_hwdep i2c_i801 snd_seq snd_seq_device lpc_ich snd_pcm rfkill
snd_page_alloc acpi_cpufreq snd_timer snd soundcore binfmt_misc i915 i2c_algo_bit drm_kms_helper drm sky2 i2c_core video
CPU: 1 PID: 6993 Comm: umount Not tainted 3.13.10-200.fc20.i686 #1
Hardware name: SAMSUNG ELECTRONICS CO., LTD. N150/N210/N220             /N150/N210/N220             , BIOS 00KG.M039.20100122.JIP 01/22/2010
00000000 00000000 ede81d6c c09a71cd ede81dac ede81d9c c0448dfe c0b63290
ede81dc8 00001b51 c0b5e029 000000d6 c05bbe59 c05bbe59 00000000 c0c70d68
d6eb241c ede81db4 c0448e53 00000009 ede81dac c0b63290 ede81dc8 ede81ddc
Call Trace:
[<c09a71cd>] dump_stack+0x41/0x52
[<c0448dfe>] warn_slowpath_common+0x7e/0xa0
[<c05bbe59>] ? sysfs_remove_group+0xb9/0xc0
[<c05bbe59>] ? sysfs_remove_group+0xb9/0xc0
[<c0448e53>] warn_slowpath_fmt+0x33/0x40
[<c05bbe59>] sysfs_remove_group+0xb9/0xc0
[<c07779e7>] dpm_sysfs_remove+0x37/0x40
[<c076ed74>] device_del+0x34/0x170
[<c0793a84>] scsi_target_reap_usercontext+0x24/0x30
[<c045e23c>] execute_in_process_context+0x4c/0x60
[<c0794c38>] scsi_target_reap+0x98/0xb0
[<c07969d7>] scsi_device_dev_release_usercontext+0xd7/0x110
[<c045e23c>] execute_in_process_context+0x4c/0x60
[<c07968f8>] scsi_device_dev_release+0x18/0x20
[<c076e4ab>] device_release+0x2b/0x90
[<c076e4b2>] ? device_release+0x32/0x90
[<c068c64f>] kobject_cleanup+0x6f/0x1a0
[<c068c667>] ? kobject_cleanup+0x87/0x1a0
[<c068c525>] kobject_put+0x25/0x60
[<c04ac95d>] ? module_refcount+0x7d/0xa0
[<c078a67f>] ? scsi_device_put+0x3f/0x50
[<c076e744>] put_device+0x14/0x20
[<c078a68a>] scsi_device_put+0x4a/0x50
[<c079ae38>] scsi_disk_put+0x28/0x40
[<c079b0c0>] sd_release+0x40/0xc0
[<c0589c48>] __blkdev_put+0x128/0x160
[<c058a3e0>] blkdev_put+0x40/0xf0
[<c055a46d>] kill_block_super+0x3d/0x70
[<c055a6f3>] deactivate_locked_super+0x33/0x50
[<c055abca>] deactivate_super+0x3a/0x60
[<c0572fc6>] mntput_no_expire+0x96/0x120
[<c057416d>] SyS_umount+0x7d/0xc0
[<c09b44cd>] sysenter_do_call+0x12/0x28
Comment 61 James 2014-06-01 17:50:33 EDT
Description of problem:
Unplugged USB flash drive.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=/dev/mapper/fedora-root ro rd.lvm.lv=fedora/swap vconsole.font=latarcyrheb-sun16 rd.lvm.lv=fedora/root rhgb quiet processor.max_cstate=1 processor.ignore_tpc=1 LANG=en_GB.UTF-8
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 27891 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target6:0:0'
Modules linked in: nls_utf8 isofs loop vfat fat usb_storage nf_conntrack_netbios_ns nf_conntrack_broadcast tcp_lp rfcomm fuse ccm ip6t_rpfilter ip6t_REJECT bnep xt_conntrack ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw coretemp kvm_intel kvm iTCO_wdt iTCO_vendor_support uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media microcode snd_hda_codec_si3054 snd_hda_codec_realtek snd_hda_codec_generic joydev serio_raw arc4 sdhci_pci sdhci i2c_i801 snd_hda_intel snd_hda_codec iwl4965 mmc_core snd_hwdep lpc_ich btusb bluetooth iwlegacy snd_seq snd_seq_device mfd_core snd_pcm mac80211 6lowpan_iphc snd_timer snd cfg80211 soundcore rfkill tpm_tis shpchp tpm wmi acpi_cpufreq nfsd auth_rpcgss nfs_acl lockd sunrpc dm_thin_pool dm_persistent_data libcrc32c dm_bio_prison firewire_ohci ata_generic i915 pata_acpi firewire_core crc_itu_t r8169 i2c_algo_bit drm_kms_helper mii drm i2c_core video
CPU: 1 PID: 27891 Comm: umount Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: CLEVO Co. M720R/M720R, BIOS SROSA001.86C.0038.D.080110 01/10/2008
 0000000000000000 00000000f296cac8 ffff88004b11fb60 ffffffff816ef1d2
 ffff88004b11fba8 ffff88004b11fb98 ffffffff8108a1bd 0000000000000000
 ffffffff81cb1300 ffff88007c822038 ffff8800212d5190 ffff880002a93100
Call Trace:
 [<ffffffff816ef1d2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
 [<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
 [<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81460a75>] device_del+0x45/0x1c0
 [<ffffffff8148ddf7>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
 [<ffffffff8148f274>] scsi_target_reap+0xc4/0xf0
 [<ffffffff814912a6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
 [<ffffffff814911bc>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81460022>] device_release+0x32/0xa0
 [<ffffffff81356057>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81355f10>] kobject_put+0x30/0x60
 [<ffffffff81460347>] put_device+0x17/0x20
 [<ffffffff814825cb>] scsi_device_put+0x3b/0x50
 [<ffffffff81495d90>] scsi_disk_put+0x30/0x50
 [<ffffffff814960f2>] sd_release+0x42/0xd0
 [<ffffffff8122489c>] __blkdev_put+0x16c/0x1a0
 [<ffffffff8122483e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff8122521c>] blkdev_put+0x4c/0x120
 [<ffffffff811ebd64>] kill_block_super+0x44/0x70
 [<ffffffff811ec06d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811ec636>] deactivate_super+0x46/0x60
 [<ffffffff81208dac>] mntput_no_expire+0xac/0x140
 [<ffffffff8120a37d>] SyS_umount+0x9d/0x110
 [<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
Comment 62 Eyal Lebedinsky 2014-06-02 03:07:20 EDT
Another 3.14.4 report.

I logically stop the SATA disk, then physically remove it when I get the below oops four times (on different CPUs). The machine was cold booted less than 10 minutes earlier.

# uname -a
Linux e7.eyal.emu.id.au 3.14.4-100.fc19.x86_64 #1 SMP Tue May 13 15:00:26 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

The disk is (if that matters):
  Model Family:     Western Digital Caviar Black
  Device Model:     WDC WD4001FAEX-00MJRA0
  Firmware Version: 01.01L01
  User Capacity:    4,000,787,030,016 bytes [4.00 TB]

The array hangs off a "HighPoint RocketRAID 2720SGL" controller
  but using software raid

[  539.965801] sd 6:0:3:0: [sdf] Synchronizing SCSI cache
[  539.972282] sd 6:0:3:0: [sdf] Stopping disk
[  555.129896] ------------[ cut here ]------------
[  555.135804] WARNING: CPU: 1 PID: 110 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
[  555.145512] sysfs group ffffffff81cb1300 not found for kobject 'end_device-6:3'
[  555.154140] Modules linked in: rfcomm xt_physdev bnep xt_conntrack ipt_MASQUERADE iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack rc_leadtek_y04g0051 raid456 async_raid6_recov async_memcpy async_pq uinput tda18271 iTCO_wdt raid6_pq async_xor af9013 iTCO_vendor_support ppdev snd_hda_codec_hdmi xor async_tx snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal coretemp snd_hda_intel snd_hda_codec kvm_intel kvm snd_hwdep crct10dif_pclmul snd_seq crc32_pclmul snd_seq_device crc32c_intel ghash_clmulni_intel snd_pcm dvb_usb_rtl2832u(OF) btusb microcode dvb_usb_af9015 bluetooth e1000e serio_raw dvb_usb_v2 i2c_i801 snd_timer dvb_usb snd lpc_ich 6lowpan_iphc dvb_core rfkill ptp soundcore mei_me mfd_core mei parport_pc pps_core nuvoton_cir rc_core parport shpchp binfmt_misc i915 i2c_algo_bit drm_kms_helper mvsas drm libsas i2c_core scsi_transport_sas video
[  555.239495] CPU: 1 PID: 110 Comm: kworker/u16:4 Tainted: GF          O 3.14.4-100.fc19.x86_64 #1
[  555.249384] Hardware name:                  /DH77KC, BIOS KCH7710H.86A.0100.2012.0906.1136 09/06/2012
[  555.259735] Workqueue: scsi_wq_6 sas_destruct_devices [libsas]
[  555.266659]  0000000000000000 00000000cf078722 ffff880406ee5c10 ffffffff816ef1d2
[  555.275215]  ffff880406ee5c58 ffff880406ee5c48 ffffffff8108a1bd 0000000000000000
[  555.283705]  ffffffff81cb1300 ffff88040881a838 ffff880408819800 ffff880037042878
[  555.292169] Call Trace: 
[  555.295591]  [<ffffffff816ef1d2>] dump_stack+0x45/0x56
[  555.301715]  [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[  555.308741]  [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[  555.315482]  [<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
[  555.322859]  [<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
[  555.329679]  [<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50 
[  555.336271]  [<ffffffff81460a75>] device_del+0x45/0x1c0
[  555.342445]  [<ffffffff8146959a>] attribute_container_class_device_del+0x1a/0x20
[  555.350777]  [<ffffffff8146979e>] transport_remove_classdev+0x4e/0x60
[  555.358167]  [<ffffffff81469750>] ? transport_add_class_device+0x40/0x40
[  555.365761]  [<ffffffff8146912c>] attribute_container_device_trigger+0xdc/0xf0
[  555.373889]  [<ffffffff81469705>] transport_remove_device+0x15/0x20
[  555.381054]  [<ffffffffa000e17b>] sas_rphy_remove+0x3b/0x60 [scsi_transport_sas]
[  555.389388]  [<ffffffffa000e1b2>] sas_rphy_delete+0x12/0x20 [scsi_transport_sas]
[  555.397688]  [<ffffffffa0031a04>] sas_destruct_devices+0x74/0xa0 [libsas]
[  555.405349]  [<ffffffff810a6886>] process_one_work+0x176/0x430
[  555.412065]  [<ffffffff810a74db>] worker_thread+0x11b/0x3a0
[  555.418573]  [<ffffffff810a73c0>] ? rescuer_thread+0x370/0x370 
[  555.425270]  [<ffffffff810ae211>] kthread+0xe1/0x100
[  555.431110]  [<ffffffff810ae130>] ? insert_kthread_work+0x40/0x40
[  555.438081]  [<ffffffff816ff4bc>] ret_from_fork+0x7c/0xb0
[  555.444343]  [<ffffffff810ae130>] ? insert_kthread_work+0x40/0x40
[  555.451349] ---[ end trace aafee74d1ce52889 ]--- 

=== rinse, repeat ===
Comment 63 Hans de Goede 2014-06-02 03:20:25 EDT
Hi All,

This looks familiar to an oops which we were seeing during uas testing, but which was related with hot unplug of scsi disks in general. This oops has been fixed in 3.15, so chances are good this is fixed in 3.15 .
Regards,

Hans
Comment 64 Josh Boyer 2014-06-02 08:50:52 EDT
I believe the fixes Hans mentions are also backported to 3.14.5.  That should be built later today.
Comment 65 Steven Stern 2014-06-03 11:56:49 EDT
Description of problem:
Powered down unmounted exernal USB drive 

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        root=UUID=cb50f2fc-5f16-4a1c-8dc5-2bcc76ab5e80 rd.md=0 rd.lvm=0 rd.dm=0   rd.luks=0 ro  SYSFONT=latarcyrheb-sun16 LANG=en_US.UTF-8 quiet
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 2 PID: 13271 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target8:0:0'
Modules linked in: rfcomm fuse ccm nf_conntrack_netbios_ns nf_conntrack_broadcast ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_core videodev media snd_usb_audio snd_usbmidi_lib snd_rawmidi usblp arc4 rt2800pci rt2800mmio rt2800lib rt2x00pci rt2x00mmio btusb ums_realtek rt2x00lib bluetooth 6lowpan_iphc snd_hda_codec_hdmi eeprom_93cx6 snd_hda_codec_realtek snd_hda_codec_generic iTCO_wdt iTCO_vendor_support mac80211
x86_pkg_temp_thermal coretemp cfg80211 crc_ccitt rfkill snd_hda_intel snd_hda_codec snd_hwdep wmi snd_seq serio_raw snd_seq_device snd_pcm snd_timer snd lpc_ich mfd_core mei_me mei i2c_i801 kvm_intel kvm shpchp soundcore crct10dif_pclmul crc32_pclmul crc32c_intel ghash_clmulni_intel microcode hid_logitech_dj i915 i2c_algo_bit drm_kms_helper e1000e drm ptp pps_core i2c_core video usb_storage
CPU: 2 PID: 13271 Comm: umount Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Gateway DX4870/DX4870, BIOS P01-A1 03/12/2012
0000000000000000 000000008dc4fce9 ffff880038d43b60 ffffffff816ef1d2
ffff880038d43ba8 ffff880038d43b98 ffffffff8108a1bd 0000000000000000
ffffffff81cb1300 ffff8801e5caa038 ffff8800718df190 ffff8800bfac2900
Call Trace:
[<ffffffff816ef1d2>] dump_stack+0x45/0x56
[<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
[<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
[<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50
[<ffffffff81460a75>] device_del+0x45/0x1c0
[<ffffffff8148ddf7>] scsi_target_reap_usercontext+0x27/0x40
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff8148f274>] scsi_target_reap+0xc4/0xf0
[<ffffffff814912a6>] scsi_device_dev_release_usercontext+0xe6/0x120
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff814911bc>] scsi_device_dev_release+0x1c/0x20
[<ffffffff81460022>] device_release+0x32/0xa0
[<ffffffff81356057>] kobject_cleanup+0x77/0x1b0
[<ffffffff81355f10>] kobject_put+0x30/0x60
[<ffffffff81460347>] put_device+0x17/0x20
[<ffffffff814825cb>] scsi_device_put+0x3b/0x50
[<ffffffff81495d90>] scsi_disk_put+0x30/0x50
[<ffffffff814960f2>] sd_release+0x42/0xd0
[<ffffffff8122489c>] __blkdev_put+0x16c/0x1a0
[<ffffffff8122483e>] __blkdev_put+0x10e/0x1a0
[<ffffffff8122521c>] blkdev_put+0x4c/0x120
[<ffffffff811ebd64>] kill_block_super+0x44/0x70
[<ffffffff811ec06d>] deactivate_locked_super+0x3d/0x60
[<ffffffff811ec636>] deactivate_super+0x46/0x60
[<ffffffff81208dac>] mntput_no_expire+0xac/0x140
[<ffffffff8120a37d>] SyS_umount+0x9d/0x110
[<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
Comment 66 Sergey Bostandzhyan 2014-06-04 03:51:14 EDT
Description of problem:
Just resumed from hibernation...

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=/dev/mapper/ssd-root ro rd.lvm.lv=rotary/swap rd.lvm.lv=ssd/root rd.luks.uuid=luks-62fe8220-b408-41bb-a612-78d642803746 rd.luks.uuid=luks-26c98cd6-21a7-48a3-bad5-7c37884a1567 vconsole.font=latarcyrheb-sun16 rhgb quiet SELinux=0 LANG=en_US.UTF-8
kernel:         3.14.4-200.fc20.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 1 PID: 29338 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target7:0:0'
Modules linked in: usb_storage vfat fat fuse ip6t_rpfilter ip6t_REJECT xt_conntrack bnep ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw btusb bluetooth 6lowpan_iphc mmc_block iTCO_wdt iTCO_vendor_support mxm_wmi acer_wmi sparse_keymap coretemp kvm_intel kvm arc4 microcode uvcvideo iwl4965 videobuf2_vmalloc videobuf2_memops snd_hda_codec_realtek snd_hda_codec_generic videobuf2_core joydev snd_hda_codec_hdmi iwlegacy videodev snd_hda_intel snd_hda_codec media serio_raw i2c_i801 snd_hwdep mac80211 jmb38x_ms snd_seq snd_seq_device memstick lpc_ich mfd_core snd_pcm cfg80211 rfkill sdhci_pci sdhci ir_lirc_codec mmc_core lirc_dev ir_mce_kbd_decoder ir_sanyo_decoder ir_sony_decoder ir_jvc_decoder ir_rc6_decoder ir_rc5_decoder ir_nec_decoder snd_timer snd soundcore shpchp wmi rc_rc6_mce tpm_tis tpm ite_cir rc_core video acpi_cpufreq binfmt_misc nfsd auth_rpcgss nfs_acl lockd sunrpc dm_crypt radeon i2c_algo_bit drm_kms_helper ttm drm ata_generic atl1e pata_acpi i2c_core
CPU: 1 PID: 29338 Comm: umount Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Acer Aspire 8920/Aspire 8920, BIOS V1.16    01/22/10
 0000000000000000 00000000501d6722 ffff88000a315b60 ffffffff816ef1d2
 ffff88000a315ba8 ffff88000a315b98 ffffffff8108a1bd 0000000000000000
 ffffffff81cb1300 ffff88004d3e2c38 ffff88001cc7f190 ffff8800ba14d100
Call Trace:
 [<ffffffff816ef1d2>] dump_stack+0x45/0x56
 [<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
 [<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
 [<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
 [<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
 [<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50
 [<ffffffff81460a75>] device_del+0x45/0x1c0
 [<ffffffff8148ddf7>] scsi_target_reap_usercontext+0x27/0x40
 [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
 [<ffffffff8148f274>] scsi_target_reap+0xc4/0xf0
 [<ffffffff814912a6>] scsi_device_dev_release_usercontext+0xe6/0x120
 [<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
 [<ffffffff814911bc>] scsi_device_dev_release+0x1c/0x20
 [<ffffffff81460022>] device_release+0x32/0xa0
 [<ffffffff81356057>] kobject_cleanup+0x77/0x1b0
 [<ffffffff81355f10>] kobject_put+0x30/0x60
 [<ffffffff81460347>] put_device+0x17/0x20
 [<ffffffff814825cb>] scsi_device_put+0x3b/0x50
 [<ffffffff81495d90>] scsi_disk_put+0x30/0x50
 [<ffffffff814960f2>] sd_release+0x42/0xd0
 [<ffffffff8122489c>] __blkdev_put+0x16c/0x1a0
 [<ffffffff8122483e>] __blkdev_put+0x10e/0x1a0
 [<ffffffff8122521c>] blkdev_put+0x4c/0x120
 [<ffffffff811ebd64>] kill_block_super+0x44/0x70
 [<ffffffff811ec06d>] deactivate_locked_super+0x3d/0x60
 [<ffffffff811ec636>] deactivate_super+0x46/0x60
 [<ffffffff81208dac>] mntput_no_expire+0xac/0x140
 [<ffffffff8120a37d>] SyS_umount+0x9d/0x110
 [<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
Comment 67 poma 2014-06-04 18:33:45 EDT
This is still open!?
Quickly close this!
The last two komitas!
https://www.kernel.org/pub/linux/kernel/v3.x/ChangeLog-3.14.5
.
commit 50b9f5b92eeee5b1ec5495d0ba1645f900855a1b
Author: James Bottomley <JBottomley@Parallels.com>
Date:   Tue Jan 21 07:01:41 2014 -0800

    SCSI: dual scan thread bug fix
    
    commit f2495e228fce9f9cec84367547813cbb0d6db15a upstream.
    
    In the highly unusual case where two threads are running concurrently through
    the scanning code scanning the same target, we run into the situation where
    one may allocate the target while the other is still using it.  In this case,
    because the reap checks for STARGET_CREATED and kills the target without
    reference counting, the second thread will do the wrong thing on reap.
    
    Fix this by reference counting even creates and doing the STARGET_CREATED
    check in the final put.
    
    Tested-by: Sarah Sharp <sarah.a.sharp@linux.intel.com>
    Signed-off-by: James Bottomley <JBottomley@Parallels.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>

commit bf1802de75b7e3aab950efde9efb61637e4f449f
Author: James Bottomley <JBottomley@Parallels.com>
Date:   Tue Jan 21 07:00:50 2014 -0800

    scsi: fix our current target reap infrastructure
    
    commit e63ed0d7a98014fdfc2cfeb3f6dada313dcabb59 upstream.
    
    This patch eliminates the reap_ref and replaces it with a proper kref.
    On last put of this kref, the target is removed from visibility in
    sysfs.  The final call to scsi_target_reap() for the device is done from
    __scsi_remove_device() and only if the device was made visible.  This
    ensures that the target disappears as soon as the last device is gone
    rather than waiting until final release of the device (which is often
    too long).
    
    Reviewed-by: Alan Stern <stern@rowland.harvard.edu>
    Tested-by: Sarah Sharp <sarah.a.sharp@linux.intel.com>
    Signed-off-by: James Bottomley <JBottomley@Parallels.com>
    Signed-off-by: Greg Kroah-Hartman <gregkh@linuxfoundation.org>

3.14.5-200.fc20.x86_64 PASIS

None of the testers[1] did not mention this & 1096786 br, and the rest of you looks like you're waiting the last year's snow.
Happy campers as always! :)

[1] https://admin.fedoraproject.org/updates/FEDORA-2014-7033/kernel-3.14.5-200.fc20
Comment 68 Reilly Hall 2014-06-05 09:29:15 EDT
Description of problem:
Powered on my machine and as soon as I logged in got an Abrtd notification of a kernel oops.

However upon further inspection I did not see anything in the logs other than abrt having detected a kernel oops and I wonder if it's old and has to do with the Machine Check Exceptions I've been getting while running a Windows XP VM the day prior.  That problem I believe to be related to Haswell CPU architecture as its the first time I run that VM I've had for years on my new Haswell machine.

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.2.2
cmdline:        BOOT_IMAGE=/vmlinuz-3.14.4-200.fc20.x86_64 root=UUID=1480ee94-2b82-4f59-8789-d071313a416c ro vconsole.font=latarcyrheb-sun16 rhgb quiet clocksource=hpet elevator=deadline LANG=en_US.UTF-8
kernel:         3.14.4-200.fc20.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 20428 at fs/sysfs/group.c:216 sysfs_remove_group+0x93/0xa0()
sysfs group ffffffff81cb1300 not found for kobject 'target6:0:0'
Modules linked in: nfsv3 rpcsec_gss_krb5 nfsv4 dns_resolver nfs fscache tcp_diag inet_diag ipt_MASQUERADE xt_CHECKSUM tun iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ip6t_rpfilter ip6t_REJECT xt_conntrack bnep bluetooth 6lowpan_iphc cfg80211 rfkill ebtable_nat ebtable_broute bridge stp llc ebtable_filter ebtables ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_security ip6table_raw ip6table_filter ip6_tables iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack iptable_mangle iptable_security iptable_raw vfat fat iTCO_wdt iTCO_vendor_support ppdev x86_pkg_temp_thermal kvm_intel kvm crct10dif_pclmul crc32_pclmul snd_hda_codec_realtek snd_hda_codec_generic crc32c_intel snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_intel
snd_hda_codec microcode snd_hwdep snd_seq i2c_i801 snd_seq_device snd_pcm lpc_ich mfd_core mei_me snd_timer mei snd soundcore shpchp parport_pc parport nfsd auth_rpcgss nfs_acl lockd sunrpc i915 i2c_algo_bit drm_kms_helper r8169 drm mii i2c_core video [last unloaded: hwmon_vid]
CPU: 0 PID: 20428 Comm: umount Not tainted 3.14.4-200.fc20.x86_64 #1
Hardware name: Shuttle Inc. SH87R/FH87, BIOS 2.01 02/21/2014
0000000000000000 000000009ab5ba5f ffff8807f3b69b60 ffffffff816ef1d2
ffff8807f3b69ba8 ffff8807f3b69b98 ffffffff8108a1bd 0000000000000000
ffffffff81cb1300 ffff8807dd942038 ffff8807e72d0948 ffff8800d910e900
Call Trace:
[<ffffffff816ef1d2>] dump_stack+0x45/0x56
[<ffffffff8108a1bd>] warn_slowpath_common+0x7d/0xa0
[<ffffffff8108a23c>] warn_slowpath_fmt+0x5c/0x80
[<ffffffff81265548>] ? kernfs_find_and_get_ns+0x48/0x60
[<ffffffff812641e3>] sysfs_remove_group+0x93/0xa0
[<ffffffff8146b483>] dpm_sysfs_remove+0x43/0x50
[<ffffffff81460a75>] device_del+0x45/0x1c0
[<ffffffff8148ddf7>] scsi_target_reap_usercontext+0x27/0x40
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff8148f274>] scsi_target_reap+0xc4/0xf0
[<ffffffff814912a6>] scsi_device_dev_release_usercontext+0xe6/0x120
[<ffffffff810a4e67>] execute_in_process_context+0x67/0x70
[<ffffffff814911bc>] scsi_device_dev_release+0x1c/0x20
[<ffffffff81460022>] device_release+0x32/0xa0
[<ffffffff81356057>] kobject_cleanup+0x77/0x1b0
[<ffffffff81355f10>] kobject_put+0x30/0x60
[<ffffffff81460347>] put_device+0x17/0x20
[<ffffffff814825cb>] scsi_device_put+0x3b/0x50
[<ffffffff81495d90>] scsi_disk_put+0x30/0x50
[<ffffffff814960f2>] sd_release+0x42/0xd0
[<ffffffff8122489c>] __blkdev_put+0x16c/0x1a0
[<ffffffff8122483e>] __blkdev_put+0x10e/0x1a0
[<ffffffff8122521c>] blkdev_put+0x4c/0x120
[<ffffffff811ebd64>] kill_block_super+0x44/0x70
[<ffffffff811ec06d>] deactivate_locked_super+0x3d/0x60
[<ffffffff811ec636>] deactivate_super+0x46/0x60
[<ffffffff81208dac>] mntput_no_expire+0xac/0x140
[<ffffffff8120a37d>] SyS_umount+0x9d/0x110
[<ffffffff816ff569>] system_call_fastpath+0x16/0x1b
Comment 69 Adam Goode 2014-09-06 14:12:53 EDT
It looks like abrt is deduplicating a lot of unrelated oopses to this one. I have an ALSA bug (on usb disconnect) that is triggering the kobject problem, but I'm pretty sure it is unrelated to SCSI.

Is there a way to improve abrt to not hash unrelated oopses here?

Note You need to log in before you can comment on or make changes to this bug.